﻿//___________________________________________________________________________________
//
//  Copyright (C) 2019, Mariusz Postol LODZ POLAND.
//
//  To be in touch join the community at GITTER: https://gitter.im/mpostol/OPC-UA-OOI
//___________________________________________________________________________________

namespace UAOOI.SemanticData.InformationModelFactory.UAConstants
{
  /// <summary>
  /// Declares all of the BrowseNames used in the Model Design.
  /// </summary>
  public static partial class BrowseNames
  {
    /// <summary>
    /// The BrowseName for the AccessHistoryDataCapability component.
    /// </summary>
    public const string AccessHistoryDataCapability = "AccessHistoryDataCapability";

    /// <summary>
    /// The BrowseName for the AccessHistoryEventsCapability component.
    /// </summary>
    public const string AccessHistoryEventsCapability = "AccessHistoryEventsCapability";

    /// <summary>
    /// The BrowseName for the AckedState component.
    /// </summary>
    public const string AckedState = "AckedState";

    /// <summary>
    /// The BrowseName for the Acknowledge component.
    /// </summary>
    public const string Acknowledge = "Acknowledge";

    /// <summary>
    /// The BrowseName for the AcknowledgeableConditionType component.
    /// </summary>
    public const string AcknowledgeableConditionType = "AcknowledgeableConditionType";

    /// <summary>
    /// The BrowseName for the ActionTimeStamp component.
    /// </summary>
    public const string ActionTimeStamp = "ActionTimeStamp";

    /// <summary>
    /// The BrowseName for the ActivateSessionRequest component.
    /// </summary>
    public const string ActivateSessionRequest = "ActivateSessionRequest";

    /// <summary>
    /// The BrowseName for the ActivateSessionResponse component.
    /// </summary>
    public const string ActivateSessionResponse = "ActivateSessionResponse";

    /// <summary>
    /// The BrowseName for the ActiveState component.
    /// </summary>
    public const string ActiveState = "ActiveState";

    /// <summary>
    /// The BrowseName for the ActualSessionTimeout component.
    /// </summary>
    public const string ActualSessionTimeout = "ActualSessionTimeout";

    /// <summary>
    /// The BrowseName for the AddComment component.
    /// </summary>
    public const string AddComment = "AddComment";

    /// <summary>
    /// The BrowseName for the AddCommentMethodType component.
    /// </summary>
    public const string AddCommentMethodType = "AddCommentMethodType";

    /// <summary>
    /// The BrowseName for the AddNodesCount component.
    /// </summary>
    public const string AddNodesCount = "AddNodesCount";

    /// <summary>
    /// The BrowseName for the AddNodesItem component.
    /// </summary>
    public const string AddNodesItem = "AddNodesItem";

    /// <summary>
    /// The BrowseName for the AddNodesRequest component.
    /// </summary>
    public const string AddNodesRequest = "AddNodesRequest";

    /// <summary>
    /// The BrowseName for the AddNodesResponse component.
    /// </summary>
    public const string AddNodesResponse = "AddNodesResponse";

    /// <summary>
    /// The BrowseName for the AddNodesResult component.
    /// </summary>
    public const string AddNodesResult = "AddNodesResult";

    /// <summary>
    /// The BrowseName for the AddReferencesCount component.
    /// </summary>
    public const string AddReferencesCount = "AddReferencesCount";

    /// <summary>
    /// The BrowseName for the AddReferencesItem component.
    /// </summary>
    public const string AddReferencesItem = "AddReferencesItem";

    /// <summary>
    /// The BrowseName for the AddReferencesRequest component.
    /// </summary>
    public const string AddReferencesRequest = "AddReferencesRequest";

    /// <summary>
    /// The BrowseName for the AddReferencesResponse component.
    /// </summary>
    public const string AddReferencesResponse = "AddReferencesResponse";

    /// <summary>
    /// The BrowseName for the AddressSpaceFile component.
    /// </summary>
    public const string AddressSpaceFile = "AddressSpaceFile";

    /// <summary>
    /// The BrowseName for the AddressSpaceFileType component.
    /// </summary>
    public const string AddressSpaceFileType = "AddressSpaceFileType";

    /// <summary>
    /// The BrowseName for the AggregateConfiguration component.
    /// </summary>
    public const string AggregateConfiguration = "AggregateConfiguration";

    /// <summary>
    /// The BrowseName for the AggregateConfigurationType component.
    /// </summary>
    public const string AggregateConfigurationType = "AggregateConfigurationType";

    /// <summary>
    /// The BrowseName for the AggregateFilter component.
    /// </summary>
    public const string AggregateFilter = "AggregateFilter";

    /// <summary>
    /// The BrowseName for the AggregateFilterResult component.
    /// </summary>
    public const string AggregateFilterResult = "AggregateFilterResult";

    /// <summary>
    /// The BrowseName for the AggregateFunction_AnnotationCount component.
    /// </summary>
    public const string AggregateFunction_AnnotationCount = "AnnotationCount";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Average component.
    /// </summary>
    public const string AggregateFunction_Average = "Average";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Count component.
    /// </summary>
    public const string AggregateFunction_Count = "Count";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Delta component.
    /// </summary>
    public const string AggregateFunction_Delta = "Delta";

    /// <summary>
    /// The BrowseName for the AggregateFunction_DeltaBounds component.
    /// </summary>
    public const string AggregateFunction_DeltaBounds = "DeltaBounds";

    /// <summary>
    /// The BrowseName for the AggregateFunction_DurationBad component.
    /// </summary>
    public const string AggregateFunction_DurationBad = "DurationBad";

    /// <summary>
    /// The BrowseName for the AggregateFunction_DurationGood component.
    /// </summary>
    public const string AggregateFunction_DurationGood = "DurationGood";

    /// <summary>
    /// The BrowseName for the AggregateFunction_DurationInStateNonZero component.
    /// </summary>
    public const string AggregateFunction_DurationInStateNonZero = "DurationInStateNonZero";

    /// <summary>
    /// The BrowseName for the AggregateFunction_DurationInStateZero component.
    /// </summary>
    public const string AggregateFunction_DurationInStateZero = "DurationInStateZero";

    /// <summary>
    /// The BrowseName for the AggregateFunction_End component.
    /// </summary>
    public const string AggregateFunction_End = "End";

    /// <summary>
    /// The BrowseName for the AggregateFunction_EndBound component.
    /// </summary>
    public const string AggregateFunction_EndBound = "EndBound";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Interpolative component.
    /// </summary>
    public const string AggregateFunction_Interpolative = "Interpolative";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Maximum component.
    /// </summary>
    public const string AggregateFunction_Maximum = "Maximum";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Maximum2 component.
    /// </summary>
    public const string AggregateFunction_Maximum2 = "Maximum2";

    /// <summary>
    /// The BrowseName for the AggregateFunction_MaximumActualTime component.
    /// </summary>
    public const string AggregateFunction_MaximumActualTime = "MaximumActualTime";

    /// <summary>
    /// The BrowseName for the AggregateFunction_MaximumActualTime2 component.
    /// </summary>
    public const string AggregateFunction_MaximumActualTime2 = "MaximumActualTime2";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Minimum component.
    /// </summary>
    public const string AggregateFunction_Minimum = "Minimum";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Minimum2 component.
    /// </summary>
    public const string AggregateFunction_Minimum2 = "Minimum2";

    /// <summary>
    /// The BrowseName for the AggregateFunction_MinimumActualTime component.
    /// </summary>
    public const string AggregateFunction_MinimumActualTime = "MinimumActualTime";

    /// <summary>
    /// The BrowseName for the AggregateFunction_MinimumActualTime2 component.
    /// </summary>
    public const string AggregateFunction_MinimumActualTime2 = "MinimumActualTime2";

    /// <summary>
    /// The BrowseName for the AggregateFunction_NumberOfTransitions component.
    /// </summary>
    public const string AggregateFunction_NumberOfTransitions = "NumberOfTransitions";

    /// <summary>
    /// The BrowseName for the AggregateFunction_PercentBad component.
    /// </summary>
    public const string AggregateFunction_PercentBad = "PercentBad";

    /// <summary>
    /// The BrowseName for the AggregateFunction_PercentGood component.
    /// </summary>
    public const string AggregateFunction_PercentGood = "PercentGood";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Range component.
    /// </summary>
    public const string AggregateFunction_Range = "Range";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Range2 component.
    /// </summary>
    public const string AggregateFunction_Range2 = "Range2";

    /// <summary>
    /// The BrowseName for the AggregateFunction_StandardDeviationPopulation component.
    /// </summary>
    public const string AggregateFunction_StandardDeviationPopulation = "StandardDeviationPopulation";

    /// <summary>
    /// The BrowseName for the AggregateFunction_StandardDeviationSample component.
    /// </summary>
    public const string AggregateFunction_StandardDeviationSample = "StandardDeviationSample";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Start component.
    /// </summary>
    public const string AggregateFunction_Start = "Start";

    /// <summary>
    /// The BrowseName for the AggregateFunction_StartBound component.
    /// </summary>
    public const string AggregateFunction_StartBound = "StartBound";

    /// <summary>
    /// The BrowseName for the AggregateFunction_TimeAverage component.
    /// </summary>
    public const string AggregateFunction_TimeAverage = "TimeAverage";

    /// <summary>
    /// The BrowseName for the AggregateFunction_TimeAverage2 component.
    /// </summary>
    public const string AggregateFunction_TimeAverage2 = "TimeAverage2";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Total component.
    /// </summary>
    public const string AggregateFunction_Total = "Total";

    /// <summary>
    /// The BrowseName for the AggregateFunction_Total2 component.
    /// </summary>
    public const string AggregateFunction_Total2 = "Total2";

    /// <summary>
    /// The BrowseName for the AggregateFunction_VariancePopulation component.
    /// </summary>
    public const string AggregateFunction_VariancePopulation = "VariancePopulation";

    /// <summary>
    /// The BrowseName for the AggregateFunction_VarianceSample component.
    /// </summary>
    public const string AggregateFunction_VarianceSample = "VarianceSample";

    /// <summary>
    /// The BrowseName for the AggregateFunction_WorstQuality component.
    /// </summary>
    public const string AggregateFunction_WorstQuality = "WorstQuality";

    /// <summary>
    /// The BrowseName for the AggregateFunction_WorstQuality2 component.
    /// </summary>
    public const string AggregateFunction_WorstQuality2 = "WorstQuality2";

    /// <summary>
    /// The BrowseName for the AggregateFunctions component.
    /// </summary>
    public const string AggregateFunctions = "AggregateFunctions";

    /// <summary>
    /// The BrowseName for the AggregateFunctionType component.
    /// </summary>
    public const string AggregateFunctionType = "AggregateFunctionType";

    /// <summary>
    /// The BrowseName for the Aggregates component.
    /// </summary>
    public const string Aggregates = "Aggregates";

    /// <summary>
    /// The BrowseName for the AlarmConditionType component.
    /// </summary>
    public const string AlarmConditionType = "AlarmConditionType";

    /// <summary>
    /// The BrowseName for the AllowNulls component.
    /// </summary>
    public const string AllowNulls = "AllowNulls";

    /// <summary>
    /// The BrowseName for the AlwaysGeneratesEvent component.
    /// </summary>
    public const string AlwaysGeneratesEvent = "AlwaysGeneratesEvent";

    /// <summary>
    /// The BrowseName for the AnalogItemType component.
    /// </summary>
    public const string AnalogItemType = "AnalogItemType";

    /// <summary>
    /// The BrowseName for the Annotation component.
    /// </summary>
    public const string Annotation = "Annotation";

    /// <summary>
    /// The BrowseName for the Annotations component.
    /// </summary>
    public const string Annotations = "Annotations";

    /// <summary>
    /// The BrowseName for the AnonymousIdentityToken component.
    /// </summary>
    public const string AnonymousIdentityToken = "AnonymousIdentityToken";

    /// <summary>
    /// The BrowseName for the ApplicationDescription component.
    /// </summary>
    public const string ApplicationDescription = "ApplicationDescription";

    /// <summary>
    /// The BrowseName for the ApplicationInstanceCertificate component.
    /// </summary>
    public const string ApplicationInstanceCertificate = "ApplicationInstanceCertificate";

    /// <summary>
    /// The BrowseName for the ApplicationType component.
    /// </summary>
    public const string ApplicationType = "ApplicationType";

    /// <summary>
    /// The BrowseName for the Argument component.
    /// </summary>
    public const string Argument = "Argument";

    /// <summary>
    /// The BrowseName for the ArrayItemType component.
    /// </summary>
    public const string ArrayItemType = "ArrayItemType";

    /// <summary>
    /// The BrowseName for the ArrayTestType component.
    /// </summary>
    public const string ArrayTestType = "ArrayTestType";

    /// <summary>
    /// The BrowseName for the AttributeId component.
    /// </summary>
    public const string AttributeId = "AttributeId";

    /// <summary>
    /// The BrowseName for the AttributeOperand component.
    /// </summary>
    public const string AttributeOperand = "AttributeOperand";

    /// <summary>
    /// The BrowseName for the AttributeWriteMask component.
    /// </summary>
    public const string AttributeWriteMask = "AttributeWriteMask";

    /// <summary>
    /// The BrowseName for the AuditActivateSessionEventType component.
    /// </summary>
    public const string AuditActivateSessionEventType = "AuditActivateSessionEventType";

    /// <summary>
    /// The BrowseName for the AuditAddNodesEventType component.
    /// </summary>
    public const string AuditAddNodesEventType = "AuditAddNodesEventType";

    /// <summary>
    /// The BrowseName for the AuditAddReferencesEventType component.
    /// </summary>
    public const string AuditAddReferencesEventType = "AuditAddReferencesEventType";

    /// <summary>
    /// The BrowseName for the AuditCancelEventType component.
    /// </summary>
    public const string AuditCancelEventType = "AuditCancelEventType";

    /// <summary>
    /// The BrowseName for the AuditCertificateDataMismatchEventType component.
    /// </summary>
    public const string AuditCertificateDataMismatchEventType = "AuditCertificateDataMismatchEventType";

    /// <summary>
    /// The BrowseName for the AuditCertificateEventType component.
    /// </summary>
    public const string AuditCertificateEventType = "AuditCertificateEventType";

    /// <summary>
    /// The BrowseName for the AuditCertificateExpiredEventType component.
    /// </summary>
    public const string AuditCertificateExpiredEventType = "AuditCertificateExpiredEventType";

    /// <summary>
    /// The BrowseName for the AuditCertificateInvalidEventType component.
    /// </summary>
    public const string AuditCertificateInvalidEventType = "AuditCertificateInvalidEventType";

    /// <summary>
    /// The BrowseName for the AuditCertificateMismatchEventType component.
    /// </summary>
    public const string AuditCertificateMismatchEventType = "AuditCertificateMismatchEventType";

    /// <summary>
    /// The BrowseName for the AuditCertificateRevokedEventType component.
    /// </summary>
    public const string AuditCertificateRevokedEventType = "AuditCertificateRevokedEventType";

    /// <summary>
    /// The BrowseName for the AuditCertificateUntrustedEventType component.
    /// </summary>
    public const string AuditCertificateUntrustedEventType = "AuditCertificateUntrustedEventType";

    /// <summary>
    /// The BrowseName for the AuditChannelEventType component.
    /// </summary>
    public const string AuditChannelEventType = "AuditChannelEventType";

    /// <summary>
    /// The BrowseName for the AuditConditionAcknowledgeEventType component.
    /// </summary>
    public const string AuditConditionAcknowledgeEventType = "AuditConditionAcknowledgeEventType";

    /// <summary>
    /// The BrowseName for the AuditConditionCommentEventType component.
    /// </summary>
    public const string AuditConditionCommentEventType = "AuditConditionCommentEventType";

    /// <summary>
    /// The BrowseName for the AuditConditionConfirmEventType component.
    /// </summary>
    public const string AuditConditionConfirmEventType = "AuditConditionConfirmEventType";

    /// <summary>
    /// The BrowseName for the AuditConditionEnableEventType component.
    /// </summary>
    public const string AuditConditionEnableEventType = "AuditConditionEnableEventType";

    /// <summary>
    /// The BrowseName for the AuditConditionEventType component.
    /// </summary>
    public const string AuditConditionEventType = "AuditConditionEventType";

    /// <summary>
    /// The BrowseName for the AuditConditionRespondEventType component.
    /// </summary>
    public const string AuditConditionRespondEventType = "AuditConditionRespondEventType";

    /// <summary>
    /// The BrowseName for the AuditConditionShelvingEventType component.
    /// </summary>
    public const string AuditConditionShelvingEventType = "AuditConditionShelvingEventType";

    /// <summary>
    /// The BrowseName for the AuditCreateSessionEventType component.
    /// </summary>
    public const string AuditCreateSessionEventType = "AuditCreateSessionEventType";

    /// <summary>
    /// The BrowseName for the AuditDeleteNodesEventType component.
    /// </summary>
    public const string AuditDeleteNodesEventType = "AuditDeleteNodesEventType";

    /// <summary>
    /// The BrowseName for the AuditDeleteReferencesEventType component.
    /// </summary>
    public const string AuditDeleteReferencesEventType = "AuditDeleteReferencesEventType";

    /// <summary>
    /// The BrowseName for the AuditEventType component.
    /// </summary>
    public const string AuditEventType = "AuditEventType";

    /// <summary>
    /// The BrowseName for the AuditHistoryAtTimeDeleteEventType component.
    /// </summary>
    public const string AuditHistoryAtTimeDeleteEventType = "AuditHistoryAtTimeDeleteEventType";

    /// <summary>
    /// The BrowseName for the AuditHistoryDeleteEventType component.
    /// </summary>
    public const string AuditHistoryDeleteEventType = "AuditHistoryDeleteEventType";

    /// <summary>
    /// The BrowseName for the AuditHistoryEventDeleteEventType component.
    /// </summary>
    public const string AuditHistoryEventDeleteEventType = "AuditHistoryEventDeleteEventType";

    /// <summary>
    /// The BrowseName for the AuditHistoryEventUpdateEventType component.
    /// </summary>
    public const string AuditHistoryEventUpdateEventType = "AuditHistoryEventUpdateEventType";

    /// <summary>
    /// The BrowseName for the AuditHistoryRawModifyDeleteEventType component.
    /// </summary>
    public const string AuditHistoryRawModifyDeleteEventType = "AuditHistoryRawModifyDeleteEventType";

    /// <summary>
    /// The BrowseName for the AuditHistoryUpdateEventType component.
    /// </summary>
    public const string AuditHistoryUpdateEventType = "AuditHistoryUpdateEventType";

    /// <summary>
    /// The BrowseName for the AuditHistoryValueUpdateEventType component.
    /// </summary>
    public const string AuditHistoryValueUpdateEventType = "AuditHistoryValueUpdateEventType";

    /// <summary>
    /// The BrowseName for the Auditing component.
    /// </summary>
    public const string Auditing = "Auditing";

    /// <summary>
    /// The BrowseName for the AuditNodeManagementEventType component.
    /// </summary>
    public const string AuditNodeManagementEventType = "AuditNodeManagementEventType";

    /// <summary>
    /// The BrowseName for the AuditOpenSecureChannelEventType component.
    /// </summary>
    public const string AuditOpenSecureChannelEventType = "AuditOpenSecureChannelEventType";

    /// <summary>
    /// The BrowseName for the AuditProgramTransitionEventType component.
    /// </summary>
    public const string AuditProgramTransitionEventType = "AuditProgramTransitionEventType";

    /// <summary>
    /// The BrowseName for the AuditSecurityEventType component.
    /// </summary>
    public const string AuditSecurityEventType = "AuditSecurityEventType";

    /// <summary>
    /// The BrowseName for the AuditSessionEventType component.
    /// </summary>
    public const string AuditSessionEventType = "AuditSessionEventType";

    /// <summary>
    /// The BrowseName for the AuditUpdateEventType component.
    /// </summary>
    public const string AuditUpdateEventType = "AuditUpdateEventType";

    /// <summary>
    /// The BrowseName for the AuditUpdateMethodEventType component.
    /// </summary>
    public const string AuditUpdateMethodEventType = "AuditUpdateMethodEventType";

    /// <summary>
    /// The BrowseName for the AuditUpdateStateEventType component.
    /// </summary>
    public const string AuditUpdateStateEventType = "AuditUpdateStateEventType";

    /// <summary>
    /// The BrowseName for the AuditUrlMismatchEventType component.
    /// </summary>
    public const string AuditUrlMismatchEventType = "AuditUrlMismatchEventType";

    /// <summary>
    /// The BrowseName for the AuditWriteUpdateEventType component.
    /// </summary>
    public const string AuditWriteUpdateEventType = "AuditWriteUpdateEventType";

    /// <summary>
    /// The BrowseName for the AuthenticationMechanism component.
    /// </summary>
    public const string AuthenticationMechanism = "AuthenticationMechanism";

    /// <summary>
    /// The BrowseName for the AutoDelete component.
    /// </summary>
    public const string AutoDelete = "AutoDelete";

    /// <summary>
    /// The BrowseName for the AxisDefinition component.
    /// </summary>
    public const string AxisDefinition = "AxisDefinition";

    /// <summary>
    /// The BrowseName for the AxisInformation component.
    /// </summary>
    public const string AxisInformation = "AxisInformation";

    /// <summary>
    /// The BrowseName for the AxisScaleEnumeration component.
    /// </summary>
    public const string AxisScaleEnumeration = "AxisScaleEnumeration";

    /// <summary>
    /// The BrowseName for the AxisScaleType component.
    /// </summary>
    public const string AxisScaleType = "AxisScaleType";

    /// <summary>
    /// The BrowseName for the BaseConditionClassType component.
    /// </summary>
    public const string BaseConditionClassType = "BaseConditionClassType";

    /// <summary>
    /// The BrowseName for the BaseDataType component.
    /// </summary>
    public const string BaseDataType = "BaseDataType";

    /// <summary>
    /// The BrowseName for the BaseDataVariableType component.
    /// </summary>
    public const string BaseDataVariableType = "BaseDataVariableType";

    /// <summary>
    /// The BrowseName for the BaseEventType component.
    /// </summary>
    public const string BaseEventType = "BaseEventType";

    /// <summary>
    /// The BrowseName for the BaseModelChangeEventType component.
    /// </summary>
    public const string BaseModelChangeEventType = "BaseModelChangeEventType";

    /// <summary>
    /// The BrowseName for the BaseObjectType component.
    /// </summary>
    public const string BaseObjectType = "BaseObjectType";

    /// <summary>
    /// The BrowseName for the BaseVariableType component.
    /// </summary>
    public const string BaseVariableType = "BaseVariableType";

    /// <summary>
    /// The BrowseName for the BitFieldMaskDataType component.
    /// </summary>
    public const string BitFieldMaskDataType = "BitFieldMaskDataType";

    /// <summary>
    /// The BrowseName for the BitMask component.
    /// </summary>
    public const string BitMask = "BitMask";

    /// <summary>
    /// The BrowseName for the Boolean component.
    /// </summary>
    public const string Boolean = "Boolean";

    /// <summary>
    /// The BrowseName for the BranchId component.
    /// </summary>
    public const string BranchId = "BranchId";

    /// <summary>
    /// The BrowseName for the BrowseCount component.
    /// </summary>
    public const string BrowseCount = "BrowseCount";

    /// <summary>
    /// The BrowseName for the BrowseDescription component.
    /// </summary>
    public const string BrowseDescription = "BrowseDescription";

    /// <summary>
    /// The BrowseName for the BrowseDirection component.
    /// </summary>
    public const string BrowseDirection = "BrowseDirection";

    /// <summary>
    /// The BrowseName for the BrowseNextCount component.
    /// </summary>
    public const string BrowseNextCount = "BrowseNextCount";

    /// <summary>
    /// The BrowseName for the BrowseNextRequest component.
    /// </summary>
    public const string BrowseNextRequest = "BrowseNextRequest";

    /// <summary>
    /// The BrowseName for the BrowseNextResponse component.
    /// </summary>
    public const string BrowseNextResponse = "BrowseNextResponse";

    /// <summary>
    /// The BrowseName for the BrowsePath component.
    /// </summary>
    public const string BrowsePath = "BrowsePath";

    /// <summary>
    /// The BrowseName for the BrowsePathResult component.
    /// </summary>
    public const string BrowsePathResult = "BrowsePathResult";

    /// <summary>
    /// The BrowseName for the BrowsePathTarget component.
    /// </summary>
    public const string BrowsePathTarget = "BrowsePathTarget";

    /// <summary>
    /// The BrowseName for the BrowseRequest component.
    /// </summary>
    public const string BrowseRequest = "BrowseRequest";

    /// <summary>
    /// The BrowseName for the BrowseResponse component.
    /// </summary>
    public const string BrowseResponse = "BrowseResponse";

    /// <summary>
    /// The BrowseName for the BrowseResult component.
    /// </summary>
    public const string BrowseResult = "BrowseResult";

    /// <summary>
    /// The BrowseName for the BrowseResultMask component.
    /// </summary>
    public const string BrowseResultMask = "BrowseResultMask";

    /// <summary>
    /// The BrowseName for the BuildDate component.
    /// </summary>
    public const string BuildDate = "BuildDate";

    /// <summary>
    /// The BrowseName for the BuildInfo component.
    /// </summary>
    public const string BuildInfo = "BuildInfo";

    /// <summary>
    /// The BrowseName for the BuildInfoType component.
    /// </summary>
    public const string BuildInfoType = "BuildInfoType";

    /// <summary>
    /// The BrowseName for the BuildNumber component.
    /// </summary>
    public const string BuildNumber = "BuildNumber";

    /// <summary>
    /// The BrowseName for the Byte component.
    /// </summary>
    public const string Byte = "Byte";

    /// <summary>
    /// The BrowseName for the ByteString component.
    /// </summary>
    public const string ByteString = "ByteString";

    /// <summary>
    /// The BrowseName for the CallCount component.
    /// </summary>
    public const string CallCount = "CallCount";

    /// <summary>
    /// The BrowseName for the CallMethodRequest component.
    /// </summary>
    public const string CallMethodRequest = "CallMethodRequest";

    /// <summary>
    /// The BrowseName for the CallMethodResult component.
    /// </summary>
    public const string CallMethodResult = "CallMethodResult";

    /// <summary>
    /// The BrowseName for the CallRequest component.
    /// </summary>
    public const string CallRequest = "CallRequest";

    /// <summary>
    /// The BrowseName for the CallResponse component.
    /// </summary>
    public const string CallResponse = "CallResponse";

    /// <summary>
    /// The BrowseName for the CancelRequest component.
    /// </summary>
    public const string CancelRequest = "CancelRequest";

    /// <summary>
    /// The BrowseName for the CancelResponse component.
    /// </summary>
    public const string CancelResponse = "CancelResponse";

    /// <summary>
    /// The BrowseName for the Certificate component.
    /// </summary>
    public const string Certificate = "Certificate";

    /// <summary>
    /// The BrowseName for the Changes component.
    /// </summary>
    public const string Changes = "Changes";

    /// <summary>
    /// The BrowseName for the ChannelSecurityToken component.
    /// </summary>
    public const string ChannelSecurityToken = "ChannelSecurityToken";

    /// <summary>
    /// The BrowseName for the ClientAuditEntryId component.
    /// </summary>
    public const string ClientAuditEntryId = "ClientAuditEntryId";

    /// <summary>
    /// The BrowseName for the ClientCertificate component.
    /// </summary>
    public const string ClientCertificate = "ClientCertificate";

    /// <summary>
    /// The BrowseName for the ClientCertificateThumbprint component.
    /// </summary>
    public const string ClientCertificateThumbprint = "ClientCertificateThumbprint";

    /// <summary>
    /// The BrowseName for the ClientConnectionTime component.
    /// </summary>
    public const string ClientConnectionTime = "ClientConnectionTime";

    /// <summary>
    /// The BrowseName for the ClientDescription component.
    /// </summary>
    public const string ClientDescription = "ClientDescription";

    /// <summary>
    /// The BrowseName for the ClientLastContactTime component.
    /// </summary>
    public const string ClientLastContactTime = "ClientLastContactTime";

    /// <summary>
    /// The BrowseName for the ClientSoftwareCertificates component.
    /// </summary>
    public const string ClientSoftwareCertificates = "ClientSoftwareCertificates";

    /// <summary>
    /// The BrowseName for the ClientUserId component.
    /// </summary>
    public const string ClientUserId = "ClientUserId";

    /// <summary>
    /// The BrowseName for the ClientUserIdHistory component.
    /// </summary>
    public const string ClientUserIdHistory = "ClientUserIdHistory";

    /// <summary>
    /// The BrowseName for the ClientUserIdOfSession component.
    /// </summary>
    public const string ClientUserIdOfSession = "ClientUserIdOfSession";

    /// <summary>
    /// The BrowseName for the Close component.
    /// </summary>
    public const string Close = "Close";

    /// <summary>
    /// The BrowseName for the CloseMethodType component.
    /// </summary>
    public const string CloseMethodType = "CloseMethodType";

    /// <summary>
    /// The BrowseName for the CloseSecureChannelRequest component.
    /// </summary>
    public const string CloseSecureChannelRequest = "CloseSecureChannelRequest";

    /// <summary>
    /// The BrowseName for the CloseSecureChannelResponse component.
    /// </summary>
    public const string CloseSecureChannelResponse = "CloseSecureChannelResponse";

    /// <summary>
    /// The BrowseName for the CloseSessionRequest component.
    /// </summary>
    public const string CloseSessionRequest = "CloseSessionRequest";

    /// <summary>
    /// The BrowseName for the CloseSessionResponse component.
    /// </summary>
    public const string CloseSessionResponse = "CloseSessionResponse";

    /// <summary>
    /// The BrowseName for the Comment component.
    /// </summary>
    public const string Comment = "Comment";

    /// <summary>
    /// The BrowseName for the ComplexNumberType component.
    /// </summary>
    public const string ComplexNumberType = "ComplexNumberType";

    /// <summary>
    /// The BrowseName for the ComplianceLevel component.
    /// </summary>
    public const string ComplianceLevel = "ComplianceLevel";

    /// <summary>
    /// The BrowseName for the CompositeTestType component.
    /// </summary>
    public const string CompositeTestType = "CompositeTestType";

    /// <summary>
    /// The BrowseName for the ConditionClassId component.
    /// </summary>
    public const string ConditionClassId = "ConditionClassId";

    /// <summary>
    /// The BrowseName for the ConditionClassName component.
    /// </summary>
    public const string ConditionClassName = "ConditionClassName";

    /// <summary>
    /// The BrowseName for the ConditionName component.
    /// </summary>
    public const string ConditionName = "ConditionName";

    /// <summary>
    /// The BrowseName for the ConditionRefresh component.
    /// </summary>
    public const string ConditionRefresh = "ConditionRefresh";

    /// <summary>
    /// The BrowseName for the ConditionRefreshMethodType component.
    /// </summary>
    public const string ConditionRefreshMethodType = "ConditionRefreshMethodType";

    /// <summary>
    /// The BrowseName for the ConditionType component.
    /// </summary>
    public const string ConditionType = "ConditionType";

    /// <summary>
    /// The BrowseName for the ConditionVariableType component.
    /// </summary>
    public const string ConditionVariableType = "ConditionVariableType";

    /// <summary>
    /// The BrowseName for the Confirm component.
    /// </summary>
    public const string Confirm = "Confirm";

    /// <summary>
    /// The BrowseName for the ConfirmedState component.
    /// </summary>
    public const string ConfirmedState = "ConfirmedState";

    /// <summary>
    /// The BrowseName for the ContentFilter component.
    /// </summary>
    public const string ContentFilter = "ContentFilter";

    /// <summary>
    /// The BrowseName for the ContentFilterElement component.
    /// </summary>
    public const string ContentFilterElement = "ContentFilterElement";

    /// <summary>
    /// The BrowseName for the ContentFilterElementResult component.
    /// </summary>
    public const string ContentFilterElementResult = "ContentFilterElementResult";

    /// <summary>
    /// The BrowseName for the ContentFilterResult component.
    /// </summary>
    public const string ContentFilterResult = "ContentFilterResult";

    /// <summary>
    /// The BrowseName for the ContinuationPoint component.
    /// </summary>
    public const string ContinuationPoint = "ContinuationPoint";

    /// <summary>
    /// The BrowseName for the Counter component.
    /// </summary>
    public const string Counter = "Counter";

    /// <summary>
    /// The BrowseName for the Creatable component.
    /// </summary>
    public const string Creatable = "Creatable";

    /// <summary>
    /// The BrowseName for the CreateClientName component.
    /// </summary>
    public const string CreateClientName = "CreateClientName";

    /// <summary>
    /// The BrowseName for the CreateMonitoredItemsCount component.
    /// </summary>
    public const string CreateMonitoredItemsCount = "CreateMonitoredItemsCount";

    /// <summary>
    /// The BrowseName for the CreateMonitoredItemsRequest component.
    /// </summary>
    public const string CreateMonitoredItemsRequest = "CreateMonitoredItemsRequest";

    /// <summary>
    /// The BrowseName for the CreateMonitoredItemsResponse component.
    /// </summary>
    public const string CreateMonitoredItemsResponse = "CreateMonitoredItemsResponse";

    /// <summary>
    /// The BrowseName for the CreateSessionId component.
    /// </summary>
    public const string CreateSessionId = "CreateSessionId";

    /// <summary>
    /// The BrowseName for the CreateSessionRequest component.
    /// </summary>
    public const string CreateSessionRequest = "CreateSessionRequest";

    /// <summary>
    /// The BrowseName for the CreateSessionResponse component.
    /// </summary>
    public const string CreateSessionResponse = "CreateSessionResponse";

    /// <summary>
    /// The BrowseName for the CreateSubscriptionCount component.
    /// </summary>
    public const string CreateSubscriptionCount = "CreateSubscriptionCount";

    /// <summary>
    /// The BrowseName for the CreateSubscriptionRequest component.
    /// </summary>
    public const string CreateSubscriptionRequest = "CreateSubscriptionRequest";

    /// <summary>
    /// The BrowseName for the CreateSubscriptionResponse component.
    /// </summary>
    public const string CreateSubscriptionResponse = "CreateSubscriptionResponse";

    /// <summary>
    /// The BrowseName for the CubeItemType component.
    /// </summary>
    public const string CubeItemType = "CubeItemType";

    /// <summary>
    /// The BrowseName for the CumulatedSessionCount component.
    /// </summary>
    public const string CumulatedSessionCount = "CumulatedSessionCount";

    /// <summary>
    /// The BrowseName for the CumulatedSubscriptionCount component.
    /// </summary>
    public const string CumulatedSubscriptionCount = "CumulatedSubscriptionCount";

    /// <summary>
    /// The BrowseName for the CurrentKeepAliveCount component.
    /// </summary>
    public const string CurrentKeepAliveCount = "CurrentKeepAliveCount";

    /// <summary>
    /// The BrowseName for the CurrentLifetimeCount component.
    /// </summary>
    public const string CurrentLifetimeCount = "CurrentLifetimeCount";

    /// <summary>
    /// The BrowseName for the CurrentMonitoredItemsCount component.
    /// </summary>
    public const string CurrentMonitoredItemsCount = "CurrentMonitoredItemsCount";

    /// <summary>
    /// The BrowseName for the CurrentPublishRequestsInQueue component.
    /// </summary>
    public const string CurrentPublishRequestsInQueue = "CurrentPublishRequestsInQueue";

    /// <summary>
    /// The BrowseName for the CurrentServerId component.
    /// </summary>
    public const string CurrentServerId = "CurrentServerId";

    /// <summary>
    /// The BrowseName for the CurrentSessionCount component.
    /// </summary>
    public const string CurrentSessionCount = "CurrentSessionCount";

    /// <summary>
    /// The BrowseName for the CurrentState component.
    /// </summary>
    public const string CurrentState = "CurrentState";

    /// <summary>
    /// The BrowseName for the CurrentSubscriptionCount component.
    /// </summary>
    public const string CurrentSubscriptionCount = "CurrentSubscriptionCount";

    /// <summary>
    /// The BrowseName for the CurrentSubscriptionsCount component.
    /// </summary>
    public const string CurrentSubscriptionsCount = "CurrentSubscriptionsCount";

    /// <summary>
    /// The BrowseName for the CurrentTime component.
    /// </summary>
    public const string CurrentTime = "CurrentTime";

    /// <summary>
    /// The BrowseName for the DataChangeFilter component.
    /// </summary>
    public const string DataChangeFilter = "DataChangeFilter";

    /// <summary>
    /// The BrowseName for the DataChangeNotification component.
    /// </summary>
    public const string DataChangeNotification = "DataChangeNotification";

    /// <summary>
    /// The BrowseName for the DataChangeNotificationsCount component.
    /// </summary>
    public const string DataChangeNotificationsCount = "DataChangeNotificationsCount";

    /// <summary>
    /// The BrowseName for the DataChangeTrigger component.
    /// </summary>
    public const string DataChangeTrigger = "DataChangeTrigger";

    /// <summary>
    /// The BrowseName for the DataItemType component.
    /// </summary>
    public const string DataItemType = "DataItemType";

    /// <summary>
    /// The BrowseName for the DataTypeAttributes component.
    /// </summary>
    public const string DataTypeAttributes = "DataTypeAttributes";

    /// <summary>
    /// The BrowseName for the DataTypeDescriptionType component.
    /// </summary>
    public const string DataTypeDescriptionType = "DataTypeDescriptionType";

    /// <summary>
    /// The BrowseName for the DataTypeDictionaryType component.
    /// </summary>
    public const string DataTypeDictionaryType = "DataTypeDictionaryType";

    /// <summary>
    /// The BrowseName for the DataTypeEncodingType component.
    /// </summary>
    public const string DataTypeEncodingType = "DataTypeEncodingType";

    /// <summary>
    /// The BrowseName for the DataTypeNode component.
    /// </summary>
    public const string DataTypeNode = "DataTypeNode";

    /// <summary>
    /// The BrowseName for the DataTypesFolder component.
    /// </summary>
    public const string DataTypesFolder = "DataTypes";

    /// <summary>
    /// The BrowseName for the DataTypeSystemType component.
    /// </summary>
    public const string DataTypeSystemType = "DataTypeSystemType";

    /// <summary>
    /// The BrowseName for the DataTypeVersion component.
    /// </summary>
    public const string DataTypeVersion = "DataTypeVersion";

    /// <summary>
    /// The BrowseName for the DataValue component.
    /// </summary>
    public const string DataValue = "DataValue";

    /// <summary>
    /// The BrowseName for the Date component.
    /// </summary>
    public const string Date = "Date";

    /// <summary>
    /// The BrowseName for the DateTime component.
    /// </summary>
    public const string DateTime = "DateTime";

    /// <summary>
    /// The BrowseName for the DeadbandType component.
    /// </summary>
    public const string DeadbandType = "DeadbandType";

    /// <summary>
    /// The BrowseName for the DefaultBinary component.
    /// </summary>
    public const string DefaultBinary = "Default Binary";

    /// <summary>
    /// The BrowseName for the DefaultResponse component.
    /// </summary>
    public const string DefaultResponse = "DefaultResponse";

    /// <summary>
    /// The BrowseName for the DefaultXml component.
    /// </summary>
    public const string DefaultXml = "Default XML";

    /// <summary>
    /// The BrowseName for the Definition component.
    /// </summary>
    public const string Definition = "Definition";

    /// <summary>
    /// The BrowseName for the Deletable component.
    /// </summary>
    public const string Deletable = "Deletable";

    /// <summary>
    /// The BrowseName for the DeleteAtTimeCapability component.
    /// </summary>
    public const string DeleteAtTimeCapability = "DeleteAtTimeCapability";

    /// <summary>
    /// The BrowseName for the DeleteAtTimeDetails component.
    /// </summary>
    public const string DeleteAtTimeDetails = "DeleteAtTimeDetails";

    /// <summary>
    /// The BrowseName for the DeleteEventCapability component.
    /// </summary>
    public const string DeleteEventCapability = "DeleteEventCapability";

    /// <summary>
    /// The BrowseName for the DeleteEventDetails component.
    /// </summary>
    public const string DeleteEventDetails = "DeleteEventDetails";

    /// <summary>
    /// The BrowseName for the DeleteMonitoredItemsCount component.
    /// </summary>
    public const string DeleteMonitoredItemsCount = "DeleteMonitoredItemsCount";

    /// <summary>
    /// The BrowseName for the DeleteMonitoredItemsRequest component.
    /// </summary>
    public const string DeleteMonitoredItemsRequest = "DeleteMonitoredItemsRequest";

    /// <summary>
    /// The BrowseName for the DeleteMonitoredItemsResponse component.
    /// </summary>
    public const string DeleteMonitoredItemsResponse = "DeleteMonitoredItemsResponse";

    /// <summary>
    /// The BrowseName for the DeleteNodesCount component.
    /// </summary>
    public const string DeleteNodesCount = "DeleteNodesCount";

    /// <summary>
    /// The BrowseName for the DeleteNodesItem component.
    /// </summary>
    public const string DeleteNodesItem = "DeleteNodesItem";

    /// <summary>
    /// The BrowseName for the DeleteNodesRequest component.
    /// </summary>
    public const string DeleteNodesRequest = "DeleteNodesRequest";

    /// <summary>
    /// The BrowseName for the DeleteNodesResponse component.
    /// </summary>
    public const string DeleteNodesResponse = "DeleteNodesResponse";

    /// <summary>
    /// The BrowseName for the DeleteRawCapability component.
    /// </summary>
    public const string DeleteRawCapability = "DeleteRawCapability";

    /// <summary>
    /// The BrowseName for the DeleteRawModifiedDetails component.
    /// </summary>
    public const string DeleteRawModifiedDetails = "DeleteRawModifiedDetails";

    /// <summary>
    /// The BrowseName for the DeleteReferencesCount component.
    /// </summary>
    public const string DeleteReferencesCount = "DeleteReferencesCount";

    /// <summary>
    /// The BrowseName for the DeleteReferencesItem component.
    /// </summary>
    public const string DeleteReferencesItem = "DeleteReferencesItem";

    /// <summary>
    /// The BrowseName for the DeleteReferencesRequest component.
    /// </summary>
    public const string DeleteReferencesRequest = "DeleteReferencesRequest";

    /// <summary>
    /// The BrowseName for the DeleteReferencesResponse component.
    /// </summary>
    public const string DeleteReferencesResponse = "DeleteReferencesResponse";

    /// <summary>
    /// The BrowseName for the DeleteSubscriptionsCount component.
    /// </summary>
    public const string DeleteSubscriptionsCount = "DeleteSubscriptionsCount";

    /// <summary>
    /// The BrowseName for the DeleteSubscriptionsRequest component.
    /// </summary>
    public const string DeleteSubscriptionsRequest = "DeleteSubscriptionsRequest";

    /// <summary>
    /// The BrowseName for the DeleteSubscriptionsResponse component.
    /// </summary>
    public const string DeleteSubscriptionsResponse = "DeleteSubscriptionsResponse";

    /// <summary>
    /// The BrowseName for the DeviceFailureEventType component.
    /// </summary>
    public const string DeviceFailureEventType = "DeviceFailureEventType";

    /// <summary>
    /// The BrowseName for the DiagnosticInfo component.
    /// </summary>
    public const string DiagnosticInfo = "DiagnosticInfo";

    /// <summary>
    /// The BrowseName for the DialogConditionType component.
    /// </summary>
    public const string DialogConditionType = "DialogConditionType";

    /// <summary>
    /// The BrowseName for the DialogResponseMethodType component.
    /// </summary>
    public const string DialogResponseMethodType = "DialogResponseMethodType";

    /// <summary>
    /// The BrowseName for the DialogState component.
    /// </summary>
    public const string DialogState = "DialogState";

    /// <summary>
    /// The BrowseName for the DictionaryFragment component.
    /// </summary>
    public const string DictionaryFragment = "DictionaryFragment";

    /// <summary>
    /// The BrowseName for the Disable component.
    /// </summary>
    public const string Disable = "Disable";

    /// <summary>
    /// The BrowseName for the DisableCount component.
    /// </summary>
    public const string DisableCount = "DisableCount";

    /// <summary>
    /// The BrowseName for the DisabledMonitoredItemCount component.
    /// </summary>
    public const string DisabledMonitoredItemCount = "DisabledMonitoredItemCount";

    /// <summary>
    /// The BrowseName for the DisabledMonitoredItemsSamplingCount component.
    /// </summary>
    public const string DisabledMonitoredItemsSamplingCount = "DisabledMonitoredItemsSamplingCount";

    /// <summary>
    /// The BrowseName for the DiscardedMessageCount component.
    /// </summary>
    public const string DiscardedMessageCount = "DiscardedMessageCount";

    /// <summary>
    /// The BrowseName for the DiscreteAlarmType component.
    /// </summary>
    public const string DiscreteAlarmType = "DiscreteAlarmType";

    /// <summary>
    /// The BrowseName for the DiscreteItemType component.
    /// </summary>
    public const string DiscreteItemType = "DiscreteItemType";

    /// <summary>
    /// The BrowseName for the DnsServiceRecord component.
    /// </summary>
    public const string DnsServiceRecord = "DnsServiceRecord";

    /// <summary>
    /// The BrowseName for the Double component.
    /// </summary>
    public const string Double = "Double";

    /// <summary>
    /// The BrowseName for the DoubleComplexNumberType component.
    /// </summary>
    public const string DoubleComplexNumberType = "DoubleComplexNumberType";

    /// <summary>
    /// The BrowseName for the Duration component.
    /// </summary>
    public const string Duration = "Duration";

    /// <summary>
    /// The BrowseName for the EffectiveDisplayName component.
    /// </summary>
    public const string EffectiveDisplayName = "EffectiveDisplayName";

    /// <summary>
    /// The BrowseName for the EffectiveTransitionTime component.
    /// </summary>
    public const string EffectiveTransitionTime = "EffectiveTransitionTime";

    /// <summary>
    /// The BrowseName for the ElementOperand component.
    /// </summary>
    public const string ElementOperand = "ElementOperand";

    /// <summary>
    /// The BrowseName for the Enable component.
    /// </summary>
    public const string Enable = "Enable";

    /// <summary>
    /// The BrowseName for the EnableCount component.
    /// </summary>
    public const string EnableCount = "EnableCount";

    /// <summary>
    /// The BrowseName for the EnabledFlag component.
    /// </summary>
    public const string EnabledFlag = "EnabledFlag";

    /// <summary>
    /// The BrowseName for the EnabledState component.
    /// </summary>
    public const string EnabledState = "EnabledState";

    /// <summary>
    /// The BrowseName for the Encoding component.
    /// </summary>
    public const string Encoding = "Encoding";

    /// <summary>
    /// The BrowseName for the EndpointConfiguration component.
    /// </summary>
    public const string EndpointConfiguration = "EndpointConfiguration";

    /// <summary>
    /// The BrowseName for the EndpointDescription component.
    /// </summary>
    public const string EndpointDescription = "EndpointDescription";

    /// <summary>
    /// The BrowseName for the EndpointUrl component.
    /// </summary>
    public const string EndpointUrl = "EndpointUrl";

    /// <summary>
    /// The BrowseName for the EndpointUrlListDataType component.
    /// </summary>
    public const string EndpointUrlListDataType = "EndpointUrlListDataType";

    /// <summary>
    /// The BrowseName for the EndTime component.
    /// </summary>
    public const string EndTime = "EndTime";

    /// <summary>
    /// The BrowseName for the EngineeringUnits component.
    /// </summary>
    public const string EngineeringUnits = "EngineeringUnits";

    /// <summary>
    /// The BrowseName for the EnumeratedTestType component.
    /// </summary>
    public const string EnumeratedTestType = "EnumeratedTestType";

    /// <summary>
    /// The BrowseName for the Enumeration component.
    /// </summary>
    public const string Enumeration = "Enumeration";

    /// <summary>
    /// The BrowseName for the EnumStrings component.
    /// </summary>
    public const string EnumStrings = "EnumStrings";

    /// <summary>
    /// The BrowseName for the EnumValues component.
    /// </summary>
    public const string EnumValues = "EnumValues";

    /// <summary>
    /// The BrowseName for the EnumValueType component.
    /// </summary>
    public const string EnumValueType = "EnumValueType";

    /// <summary>
    /// The BrowseName for the EUInformation component.
    /// </summary>
    public const string EUInformation = "EUInformation";

    /// <summary>
    /// The BrowseName for the EURange component.
    /// </summary>
    public const string EURange = "EURange";

    /// <summary>
    /// The BrowseName for the EventFieldList component.
    /// </summary>
    public const string EventFieldList = "EventFieldList";

    /// <summary>
    /// The BrowseName for the EventFilter component.
    /// </summary>
    public const string EventFilter = "EventFilter";

    /// <summary>
    /// The BrowseName for the EventFilterResult component.
    /// </summary>
    public const string EventFilterResult = "EventFilterResult";

    /// <summary>
    /// The BrowseName for the EventId component.
    /// </summary>
    public const string EventId = "EventId";

    /// <summary>
    /// The BrowseName for the EventIds component.
    /// </summary>
    public const string EventIds = "EventIds";

    /// <summary>
    /// The BrowseName for the EventNotificationList component.
    /// </summary>
    public const string EventNotificationList = "EventNotificationList";

    /// <summary>
    /// The BrowseName for the EventNotificationsCount component.
    /// </summary>
    public const string EventNotificationsCount = "EventNotificationsCount";

    /// <summary>
    /// The BrowseName for the EventQueueOverFlowCount component.
    /// </summary>
    public const string EventQueueOverFlowCount = "EventQueueOverFlowCount";

    /// <summary>
    /// The BrowseName for the EventQueueOverflowEventType component.
    /// </summary>
    public const string EventQueueOverflowEventType = "EventQueueOverflowEventType";

    /// <summary>
    /// The BrowseName for the EventType component.
    /// </summary>
    public const string EventType = "EventType";

    /// <summary>
    /// The BrowseName for the EventTypesFolder component.
    /// </summary>
    public const string EventTypesFolder = "EventTypes";

    /// <summary>
    /// The BrowseName for the ExceptionDeviation component.
    /// </summary>
    public const string ExceptionDeviation = "ExceptionDeviation";

    /// <summary>
    /// The BrowseName for the ExceptionDeviationFormat component.
    /// </summary>
    public const string ExceptionDeviationFormat = "ExceptionDeviationFormat";

    /// <summary>
    /// The BrowseName for the ExclusiveDeviationAlarmType component.
    /// </summary>
    public const string ExclusiveDeviationAlarmType = "ExclusiveDeviationAlarmType";

    /// <summary>
    /// The BrowseName for the ExclusiveLevelAlarmType component.
    /// </summary>
    public const string ExclusiveLevelAlarmType = "ExclusiveLevelAlarmType";

    /// <summary>
    /// The BrowseName for the ExclusiveLimitAlarmType component.
    /// </summary>
    public const string ExclusiveLimitAlarmType = "ExclusiveLimitAlarmType";

    /// <summary>
    /// The BrowseName for the ExclusiveLimitStateMachineType component.
    /// </summary>
    public const string ExclusiveLimitStateMachineType = "ExclusiveLimitStateMachineType";

    /// <summary>
    /// The BrowseName for the ExclusiveRateOfChangeAlarmType component.
    /// </summary>
    public const string ExclusiveRateOfChangeAlarmType = "ExclusiveRateOfChangeAlarmType";

    /// <summary>
    /// The BrowseName for the ExpandedNodeId component.
    /// </summary>
    public const string ExpandedNodeId = "ExpandedNodeId";

    /// <summary>
    /// The BrowseName for the ExportNamespace component.
    /// </summary>
    public const string ExportNamespace = "ExportNamespace";

    /// <summary>
    /// The BrowseName for the FalseState component.
    /// </summary>
    public const string FalseState = "FalseState";

    /// <summary>
    /// The BrowseName for the FileType component.
    /// </summary>
    public const string FileType = "FileType";

    /// <summary>
    /// The BrowseName for the Filter component.
    /// </summary>
    public const string Filter = "Filter";

    /// <summary>
    /// The BrowseName for the FilterOperand component.
    /// </summary>
    public const string FilterOperand = "FilterOperand";

    /// <summary>
    /// The BrowseName for the FilterOperator component.
    /// </summary>
    public const string FilterOperator = "FilterOperator";

    /// <summary>
    /// The BrowseName for the FinalResultData component.
    /// </summary>
    public const string FinalResultData = "FinalResultData";

    /// <summary>
    /// The BrowseName for the FindDnsServicesRequest component.
    /// </summary>
    public const string FindDnsServicesRequest = "FindDnsServicesRequest";

    /// <summary>
    /// The BrowseName for the FindDnsServicesResponse component.
    /// </summary>
    public const string FindDnsServicesResponse = "FindDnsServicesResponse";

    /// <summary>
    /// The BrowseName for the FindServersRequest component.
    /// </summary>
    public const string FindServersRequest = "FindServersRequest";

    /// <summary>
    /// The BrowseName for the FindServersResponse component.
    /// </summary>
    public const string FindServersResponse = "FindServersResponse";

    /// <summary>
    /// The BrowseName for the FiniteStateMachineType component.
    /// </summary>
    public const string FiniteStateMachineType = "FiniteStateMachineType";

    /// <summary>
    /// The BrowseName for the FiniteStateVariableType component.
    /// </summary>
    public const string FiniteStateVariableType = "FiniteStateVariableType";

    /// <summary>
    /// The BrowseName for the FiniteTransitionVariableType component.
    /// </summary>
    public const string FiniteTransitionVariableType = "FiniteTransitionVariableType";

    /// <summary>
    /// The BrowseName for the Float component.
    /// </summary>
    public const string Float = "Float";

    /// <summary>
    /// The BrowseName for the FolderType component.
    /// </summary>
    public const string FolderType = "FolderType";

    /// <summary>
    /// The BrowseName for the FromState component.
    /// </summary>
    public const string FromState = "FromState";

    /// <summary>
    /// The BrowseName for the GeneralModelChangeEventType component.
    /// </summary>
    public const string GeneralModelChangeEventType = "GeneralModelChangeEventType";

    /// <summary>
    /// The BrowseName for the GeneratesEvent component.
    /// </summary>
    public const string GeneratesEvent = "GeneratesEvent";

    /// <summary>
    /// The BrowseName for the GetEndpointsRequest component.
    /// </summary>
    public const string GetEndpointsRequest = "GetEndpointsRequest";

    /// <summary>
    /// The BrowseName for the GetEndpointsResponse component.
    /// </summary>
    public const string GetEndpointsResponse = "GetEndpointsResponse";

    /// <summary>
    /// The BrowseName for the GetMonitoredItems component.
    /// </summary>
    public const string GetMonitoredItems = "GetMonitoredItems";

    /// <summary>
    /// The BrowseName for the GetMonitoredItemsMethodType component.
    /// </summary>
    public const string GetMonitoredItemsMethodType = "GetMonitoredItemsMethodType";

    /// <summary>
    /// The BrowseName for the GetPosition component.
    /// </summary>
    public const string GetPosition = "GetPosition";

    /// <summary>
    /// The BrowseName for the GetPositionMethodType component.
    /// </summary>
    public const string GetPositionMethodType = "GetPositionMethodType";

    /// <summary>
    /// The BrowseName for the Guid component.
    /// </summary>
    public const string Guid = "Guid";

    /// <summary>
    /// The BrowseName for the HAConfiguration component.
    /// </summary>
    public const string HAConfiguration = "HA Configuration";

    /// <summary>
    /// The BrowseName for the Halt component.
    /// </summary>
    public const string Halt = "Halt";

    /// <summary>
    /// The BrowseName for the Halted component.
    /// </summary>
    public const string Halted = "Halted";

    /// <summary>
    /// The BrowseName for the HaltedToReady component.
    /// </summary>
    public const string HaltedToReady = "HaltedToReady";

    /// <summary>
    /// The BrowseName for the HasCause component.
    /// </summary>
    public const string HasCause = "HasCause";

    /// <summary>
    /// The BrowseName for the HasChild component.
    /// </summary>
    public const string HasChild = "HasChild";

    /// <summary>
    /// The BrowseName for the HasComponent component.
    /// </summary>
    public const string HasComponent = "HasComponent";

    /// <summary>
    /// The BrowseName for the HasCondition component.
    /// </summary>
    public const string HasCondition = "HasCondition";

    /// <summary>
    /// The BrowseName for the HasDescription component.
    /// </summary>
    public const string HasDescription = "HasDescription";

    /// <summary>
    /// The BrowseName for the HasEffect component.
    /// </summary>
    public const string HasEffect = "HasEffect";

    /// <summary>
    /// The BrowseName for the HasEncoding component.
    /// </summary>
    public const string HasEncoding = "HasEncoding";

    /// <summary>
    /// The BrowseName for the HasEventSource component.
    /// </summary>
    public const string HasEventSource = "HasEventSource";

    /// <summary>
    /// The BrowseName for the HasFalseSubState component.
    /// </summary>
    public const string HasFalseSubState = "HasFalseSubState";

    /// <summary>
    /// The BrowseName for the HasHistoricalConfiguration component.
    /// </summary>
    public const string HasHistoricalConfiguration = "HasHistoricalConfiguration";

    /// <summary>
    /// The BrowseName for the HasModellingRule component.
    /// </summary>
    public const string HasModellingRule = "HasModellingRule";

    /// <summary>
    /// The BrowseName for the HasNotifier component.
    /// </summary>
    public const string HasNotifier = "HasNotifier";

    /// <summary>
    /// The BrowseName for the HasOrderedComponent component.
    /// </summary>
    public const string HasOrderedComponent = "HasOrderedComponent";

    /// <summary>
    /// The BrowseName for the HasProperty component.
    /// </summary>
    public const string HasProperty = "HasProperty";

    /// <summary>
    /// The BrowseName for the HasSubStateMachine component.
    /// </summary>
    public const string HasSubStateMachine = "HasSubStateMachine";

    /// <summary>
    /// The BrowseName for the HasSubtype component.
    /// </summary>
    public const string HasSubtype = "HasSubtype";

    /// <summary>
    /// The BrowseName for the HasTrueSubState component.
    /// </summary>
    public const string HasTrueSubState = "HasTrueSubState";

    /// <summary>
    /// The BrowseName for the HasTypeDefinition component.
    /// </summary>
    public const string HasTypeDefinition = "HasTypeDefinition";

    /// <summary>
    /// The BrowseName for the HierarchicalReferences component.
    /// </summary>
    public const string HierarchicalReferences = "HierarchicalReferences";

    /// <summary>
    /// The BrowseName for the High component.
    /// </summary>
    public const string High = "High";

    /// <summary>
    /// The BrowseName for the HighHigh component.
    /// </summary>
    public const string HighHigh = "HighHigh";

    /// <summary>
    /// The BrowseName for the HighHighLimit component.
    /// </summary>
    public const string HighHighLimit = "HighHighLimit";

    /// <summary>
    /// The BrowseName for the HighHighState component.
    /// </summary>
    public const string HighHighState = "HighHighState";

    /// <summary>
    /// The BrowseName for the HighHighToHigh component.
    /// </summary>
    public const string HighHighToHigh = "HighHighToHigh";

    /// <summary>
    /// The BrowseName for the HighLimit component.
    /// </summary>
    public const string HighLimit = "HighLimit";

    /// <summary>
    /// The BrowseName for the HighState component.
    /// </summary>
    public const string HighState = "HighState";

    /// <summary>
    /// The BrowseName for the HighToHighHigh component.
    /// </summary>
    public const string HighToHighHigh = "HighToHighHigh";

    /// <summary>
    /// The BrowseName for the HistoricalDataConfigurationType component.
    /// </summary>
    public const string HistoricalDataConfigurationType = "HistoricalDataConfigurationType";

    /// <summary>
    /// The BrowseName for the HistoricalEventFilter component.
    /// </summary>
    public const string HistoricalEventFilter = "HistoricalEventFilter";

    /// <summary>
    /// The BrowseName for the HistoryData component.
    /// </summary>
    public const string HistoryData = "HistoryData";

    /// <summary>
    /// The BrowseName for the HistoryEvent component.
    /// </summary>
    public const string HistoryEvent = "HistoryEvent";

    /// <summary>
    /// The BrowseName for the HistoryEventFieldList component.
    /// </summary>
    public const string HistoryEventFieldList = "HistoryEventFieldList";

    /// <summary>
    /// The BrowseName for the HistoryModifiedData component.
    /// </summary>
    public const string HistoryModifiedData = "HistoryModifiedData";

    /// <summary>
    /// The BrowseName for the HistoryReadCount component.
    /// </summary>
    public const string HistoryReadCount = "HistoryReadCount";

    /// <summary>
    /// The BrowseName for the HistoryReadDetails component.
    /// </summary>
    public const string HistoryReadDetails = "HistoryReadDetails";

    /// <summary>
    /// The BrowseName for the HistoryReadRequest component.
    /// </summary>
    public const string HistoryReadRequest = "HistoryReadRequest";

    /// <summary>
    /// The BrowseName for the HistoryReadResponse component.
    /// </summary>
    public const string HistoryReadResponse = "HistoryReadResponse";

    /// <summary>
    /// The BrowseName for the HistoryReadResult component.
    /// </summary>
    public const string HistoryReadResult = "HistoryReadResult";

    /// <summary>
    /// The BrowseName for the HistoryReadValueId component.
    /// </summary>
    public const string HistoryReadValueId = "HistoryReadValueId";

    /// <summary>
    /// The BrowseName for the HistoryServerCapabilities component.
    /// </summary>
    public const string HistoryServerCapabilities = "HistoryServerCapabilities";

    /// <summary>
    /// The BrowseName for the HistoryServerCapabilitiesType component.
    /// </summary>
    public const string HistoryServerCapabilitiesType = "HistoryServerCapabilitiesType";

    /// <summary>
    /// The BrowseName for the HistoryUpdateCount component.
    /// </summary>
    public const string HistoryUpdateCount = "HistoryUpdateCount";

    /// <summary>
    /// The BrowseName for the HistoryUpdateDetails component.
    /// </summary>
    public const string HistoryUpdateDetails = "HistoryUpdateDetails";

    /// <summary>
    /// The BrowseName for the HistoryUpdateEventResult component.
    /// </summary>
    public const string HistoryUpdateEventResult = "HistoryUpdateEventResult";

    /// <summary>
    /// The BrowseName for the HistoryUpdateRequest component.
    /// </summary>
    public const string HistoryUpdateRequest = "HistoryUpdateRequest";

    /// <summary>
    /// The BrowseName for the HistoryUpdateResponse component.
    /// </summary>
    public const string HistoryUpdateResponse = "HistoryUpdateResponse";

    /// <summary>
    /// The BrowseName for the HistoryUpdateResult component.
    /// </summary>
    public const string HistoryUpdateResult = "HistoryUpdateResult";

    /// <summary>
    /// The BrowseName for the HistoryUpdateType component.
    /// </summary>
    public const string HistoryUpdateType = "HistoryUpdateType";

    /// <summary>
    /// The BrowseName for the Icon component.
    /// </summary>
    public const string Icon = "Icon";

    /// <summary>
    /// The BrowseName for the Id component.
    /// </summary>
    public const string Id = "Id";

    /// <summary>
    /// The BrowseName for the IdType component.
    /// </summary>
    public const string IdType = "IdType";

    /// <summary>
    /// The BrowseName for the Image component.
    /// </summary>
    public const string Image = "Image";

    /// <summary>
    /// The BrowseName for the ImageBMP component.
    /// </summary>
    public const string ImageBMP = "ImageBMP";

    /// <summary>
    /// The BrowseName for the ImageGIF component.
    /// </summary>
    public const string ImageGIF = "ImageGIF";

    /// <summary>
    /// The BrowseName for the ImageItemType component.
    /// </summary>
    public const string ImageItemType = "ImageItemType";

    /// <summary>
    /// The BrowseName for the ImageJPG component.
    /// </summary>
    public const string ImageJPG = "ImageJPG";

    /// <summary>
    /// The BrowseName for the ImagePNG component.
    /// </summary>
    public const string ImagePNG = "ImagePNG";

    /// <summary>
    /// The BrowseName for the IndexRange component.
    /// </summary>
    public const string IndexRange = "IndexRange";

    /// <summary>
    /// The BrowseName for the InitialStateType component.
    /// </summary>
    public const string InitialStateType = "InitialStateType";

    /// <summary>
    /// The BrowseName for the InputArguments component.
    /// </summary>
    public const string InputArguments = "InputArguments";

    /// <summary>
    /// The BrowseName for the InputNode component.
    /// </summary>
    public const string InputNode = "InputNode";

    /// <summary>
    /// The BrowseName for the InsertAnnotationCapability component.
    /// </summary>
    public const string InsertAnnotationCapability = "InsertAnnotationCapability";

    /// <summary>
    /// The BrowseName for the InsertDataCapability component.
    /// </summary>
    public const string InsertDataCapability = "InsertDataCapability";

    /// <summary>
    /// The BrowseName for the InsertEventCapability component.
    /// </summary>
    public const string InsertEventCapability = "InsertEventCapability";

    /// <summary>
    /// The BrowseName for the InstanceCount component.
    /// </summary>
    public const string InstanceCount = "InstanceCount";

    /// <summary>
    /// The BrowseName for the InstanceNode component.
    /// </summary>
    public const string InstanceNode = "InstanceNode";

    /// <summary>
    /// The BrowseName for the InstrumentRange component.
    /// </summary>
    public const string InstrumentRange = "InstrumentRange";

    /// <summary>
    /// The BrowseName for the Int16 component.
    /// </summary>
    public const string Int16 = "Int16";

    /// <summary>
    /// The BrowseName for the Int32 component.
    /// </summary>
    public const string Int32 = "Int32";

    /// <summary>
    /// The BrowseName for the Int64 component.
    /// </summary>
    public const string Int64 = "Int64";

    /// <summary>
    /// The BrowseName for the Integer component.
    /// </summary>
    public const string Integer = "Integer";

    /// <summary>
    /// The BrowseName for the IntegerId component.
    /// </summary>
    public const string IntegerId = "IntegerId";

    /// <summary>
    /// The BrowseName for the IntermediateResult component.
    /// </summary>
    public const string IntermediateResult = "IntermediateResult";

    /// <summary>
    /// The BrowseName for the InvalidHostname component.
    /// </summary>
    public const string InvalidHostname = "InvalidHostname";

    /// <summary>
    /// The BrowseName for the InvalidUri component.
    /// </summary>
    public const string InvalidUri = "InvalidUri";

    /// <summary>
    /// The BrowseName for the InvocationCreationTime component.
    /// </summary>
    public const string InvocationCreationTime = "InvocationCreationTime";

    /// <summary>
    /// The BrowseName for the IsDeleteModified component.
    /// </summary>
    public const string IsDeleteModified = "IsDeleteModified";

    /// <summary>
    /// The BrowseName for the IsNamespaceSubset component.
    /// </summary>
    public const string IsNamespaceSubset = "IsNamespaceSubset";

    /// <summary>
    /// The BrowseName for the IssuedIdentityToken component.
    /// </summary>
    public const string IssuedIdentityToken = "IssuedIdentityToken";

    /// <summary>
    /// The BrowseName for the LastMethodCall component.
    /// </summary>
    public const string LastMethodCall = "LastMethodCall";

    /// <summary>
    /// The BrowseName for the LastMethodCallTime component.
    /// </summary>
    public const string LastMethodCallTime = "LastMethodCallTime";

    /// <summary>
    /// The BrowseName for the LastMethodInputArguments component.
    /// </summary>
    public const string LastMethodInputArguments = "LastMethodInputArguments";

    /// <summary>
    /// The BrowseName for the LastMethodOutputArguments component.
    /// </summary>
    public const string LastMethodOutputArguments = "LastMethodOutputArguments";

    /// <summary>
    /// The BrowseName for the LastMethodReturnStatus component.
    /// </summary>
    public const string LastMethodReturnStatus = "LastMethodReturnStatus";

    /// <summary>
    /// The BrowseName for the LastMethodSessionId component.
    /// </summary>
    public const string LastMethodSessionId = "LastMethodSessionId";

    /// <summary>
    /// The BrowseName for the LastResponse component.
    /// </summary>
    public const string LastResponse = "LastResponse";

    /// <summary>
    /// The BrowseName for the LastSeverity component.
    /// </summary>
    public const string LastSeverity = "LastSeverity";

    /// <summary>
    /// The BrowseName for the LastTransition component.
    /// </summary>
    public const string LastTransition = "LastTransition";

    /// <summary>
    /// The BrowseName for the LastTransitionTime component.
    /// </summary>
    public const string LastTransitionTime = "LastTransitionTime";

    /// <summary>
    /// The BrowseName for the LatePublishRequestCount component.
    /// </summary>
    public const string LatePublishRequestCount = "LatePublishRequestCount";

    /// <summary>
    /// The BrowseName for the LimitAlarmType component.
    /// </summary>
    public const string LimitAlarmType = "LimitAlarmType";

    /// <summary>
    /// The BrowseName for the LimitState component.
    /// </summary>
    public const string LimitState = "LimitState";

    /// <summary>
    /// The BrowseName for the LiteralOperand component.
    /// </summary>
    public const string LiteralOperand = "LiteralOperand";

    /// <summary>
    /// The BrowseName for the LocaleId component.
    /// </summary>
    public const string LocaleId = "LocaleId";

    /// <summary>
    /// The BrowseName for the LocaleIdArray component.
    /// </summary>
    public const string LocaleIdArray = "LocaleIdArray";

    /// <summary>
    /// The BrowseName for the LocaleIds component.
    /// </summary>
    public const string LocaleIds = "LocaleIds";

    /// <summary>
    /// The BrowseName for the LocalizedText component.
    /// </summary>
    public const string LocalizedText = "LocalizedText";

    /// <summary>
    /// The BrowseName for the LocalTime component.
    /// </summary>
    public const string LocalTime = "LocalTime";

    /// <summary>
    /// The BrowseName for the Lock component.
    /// </summary>
    public const string Lock = "Lock";

    /// <summary>
    /// The BrowseName for the LockType component.
    /// </summary>
    public const string LockType = "LockType";

    /// <summary>
    /// The BrowseName for the Low component.
    /// </summary>
    public const string Low = "Low";

    /// <summary>
    /// The BrowseName for the LowLimit component.
    /// </summary>
    public const string LowLimit = "LowLimit";

    /// <summary>
    /// The BrowseName for the LowLow component.
    /// </summary>
    public const string LowLow = "LowLow";

    /// <summary>
    /// The BrowseName for the LowLowLimit component.
    /// </summary>
    public const string LowLowLimit = "LowLowLimit";

    /// <summary>
    /// The BrowseName for the LowLowState component.
    /// </summary>
    public const string LowLowState = "LowLowState";

    /// <summary>
    /// The BrowseName for the LowLowToLow component.
    /// </summary>
    public const string LowLowToLow = "LowLowToLow";

    /// <summary>
    /// The BrowseName for the LowState component.
    /// </summary>
    public const string LowState = "LowState";

    /// <summary>
    /// The BrowseName for the LowToLowLow component.
    /// </summary>
    public const string LowToLowLow = "LowToLowLow";

    /// <summary>
    /// The BrowseName for the MaintenanceConditionClassType component.
    /// </summary>
    public const string MaintenanceConditionClassType = "MaintenanceConditionClassType";

    /// <summary>
    /// The BrowseName for the ManufacturerName component.
    /// </summary>
    public const string ManufacturerName = "ManufacturerName";

    /// <summary>
    /// The BrowseName for the MaxArrayLength component.
    /// </summary>
    public const string MaxArrayLength = "MaxArrayLength";

    /// <summary>
    /// The BrowseName for the MaxBrowseContinuationPoints component.
    /// </summary>
    public const string MaxBrowseContinuationPoints = "MaxBrowseContinuationPoints";

    /// <summary>
    /// The BrowseName for the MaxHistoryContinuationPoints component.
    /// </summary>
    public const string MaxHistoryContinuationPoints = "MaxHistoryContinuationPoints";

    /// <summary>
    /// The BrowseName for the MaxInstanceCount component.
    /// </summary>
    public const string MaxInstanceCount = "MaxInstanceCount";

    /// <summary>
    /// The BrowseName for the MaxKeepAliveCount component.
    /// </summary>
    public const string MaxKeepAliveCount = "MaxKeepAliveCount";

    /// <summary>
    /// The BrowseName for the MaxLifetimeCount component.
    /// </summary>
    public const string MaxLifetimeCount = "MaxLifetimeCount";

    /// <summary>
    /// The BrowseName for the MaxMonitoredItemsPerCall component.
    /// </summary>
    public const string MaxMonitoredItemsPerCall = "MaxMonitoredItemsPerCall";

    /// <summary>
    /// The BrowseName for the MaxNodesPerBrowse component.
    /// </summary>
    public const string MaxNodesPerBrowse = "MaxNodesPerBrowse";

    /// <summary>
    /// The BrowseName for the MaxNodesPerHistoryReadData component.
    /// </summary>
    public const string MaxNodesPerHistoryReadData = "MaxNodesPerHistoryReadData";

    /// <summary>
    /// The BrowseName for the MaxNodesPerHistoryReadEvents component.
    /// </summary>
    public const string MaxNodesPerHistoryReadEvents = "MaxNodesPerHistoryReadEvents";

    /// <summary>
    /// The BrowseName for the MaxNodesPerHistoryUpdateData component.
    /// </summary>
    public const string MaxNodesPerHistoryUpdateData = "MaxNodesPerHistoryUpdateData";

    /// <summary>
    /// The BrowseName for the MaxNodesPerHistoryUpdateEvents component.
    /// </summary>
    public const string MaxNodesPerHistoryUpdateEvents = "MaxNodesPerHistoryUpdateEvents";

    /// <summary>
    /// The BrowseName for the MaxNodesPerMethodCall component.
    /// </summary>
    public const string MaxNodesPerMethodCall = "MaxNodesPerMethodCall";

    /// <summary>
    /// The BrowseName for the MaxNodesPerNodeManagement component.
    /// </summary>
    public const string MaxNodesPerNodeManagement = "MaxNodesPerNodeManagement";

    /// <summary>
    /// The BrowseName for the MaxNodesPerRead component.
    /// </summary>
    public const string MaxNodesPerRead = "MaxNodesPerRead";

    /// <summary>
    /// The BrowseName for the MaxNodesPerRegisterNodes component.
    /// </summary>
    public const string MaxNodesPerRegisterNodes = "MaxNodesPerRegisterNodes";

    /// <summary>
    /// The BrowseName for the MaxNodesPerTranslateBrowsePathsToNodeIds component.
    /// </summary>
    public const string MaxNodesPerTranslateBrowsePathsToNodeIds = "MaxNodesPerTranslateBrowsePathsToNodeIds";

    /// <summary>
    /// The BrowseName for the MaxNodesPerWrite component.
    /// </summary>
    public const string MaxNodesPerWrite = "MaxNodesPerWrite";

    /// <summary>
    /// The BrowseName for the MaxNotificationsPerPublish component.
    /// </summary>
    public const string MaxNotificationsPerPublish = "MaxNotificationsPerPublish";

    /// <summary>
    /// The BrowseName for the MaxQueryContinuationPoints component.
    /// </summary>
    public const string MaxQueryContinuationPoints = "MaxQueryContinuationPoints";

    /// <summary>
    /// The BrowseName for the MaxRecycleCount component.
    /// </summary>
    public const string MaxRecycleCount = "MaxRecycleCount";

    /// <summary>
    /// The BrowseName for the MaxResponseMessageSize component.
    /// </summary>
    public const string MaxResponseMessageSize = "MaxResponseMessageSize";

    /// <summary>
    /// The BrowseName for the MaxReturnDataValues component.
    /// </summary>
    public const string MaxReturnDataValues = "MaxReturnDataValues";

    /// <summary>
    /// The BrowseName for the MaxReturnEventValues component.
    /// </summary>
    public const string MaxReturnEventValues = "MaxReturnEventValues";

    /// <summary>
    /// The BrowseName for the MaxSampledMonitoredItemsCount component.
    /// </summary>
    public const string MaxSampledMonitoredItemsCount = "MaxSampledMonitoredItemsCount";

    /// <summary>
    /// The BrowseName for the MaxStringLength component.
    /// </summary>
    public const string MaxStringLength = "MaxStringLength";

    /// <summary>
    /// The BrowseName for the MaxTimeInterval component.
    /// </summary>
    public const string MaxTimeInterval = "MaxTimeInterval";

    /// <summary>
    /// The BrowseName for the MaxTimeShelved component.
    /// </summary>
    public const string MaxTimeShelved = "MaxTimeShelved";

    /// <summary>
    /// The BrowseName for the Message component.
    /// </summary>
    public const string Message = "Message";

    /// <summary>
    /// The BrowseName for the MessageSecurityMode component.
    /// </summary>
    public const string MessageSecurityMode = "MessageSecurityMode";

    /// <summary>
    /// The BrowseName for the MethodAttributes component.
    /// </summary>
    public const string MethodAttributes = "MethodAttributes";

    /// <summary>
    /// The BrowseName for the MethodId component.
    /// </summary>
    public const string MethodId = "MethodId";

    /// <summary>
    /// The BrowseName for the MethodNode component.
    /// </summary>
    public const string MethodNode = "MethodNode";

    /// <summary>
    /// The BrowseName for the MinSupportedSampleRate component.
    /// </summary>
    public const string MinSupportedSampleRate = "MinSupportedSampleRate";

    /// <summary>
    /// The BrowseName for the MinTimeInterval component.
    /// </summary>
    public const string MinTimeInterval = "MinTimeInterval";

    /// <summary>
    /// The BrowseName for the ModelChangeStructureDataType component.
    /// </summary>
    public const string ModelChangeStructureDataType = "ModelChangeStructureDataType";

    /// <summary>
    /// The BrowseName for the ModelChangeStructureVerbMask component.
    /// </summary>
    public const string ModelChangeStructureVerbMask = "ModelChangeStructureVerbMask";

    /// <summary>
    /// The BrowseName for the ModellingRule_ExposesItsArray component.
    /// </summary>
    public const string ModellingRule_ExposesItsArray = "ExposesItsArray";

    /// <summary>
    /// The BrowseName for the ModellingRule_Mandatory component.
    /// </summary>
    public const string ModellingRule_Mandatory = "Mandatory";

    /// <summary>
    /// The BrowseName for the ModellingRule_MandatoryPlaceholder component.
    /// </summary>
    public const string ModellingRule_MandatoryPlaceholder = "MandatoryPlaceholder";

    /// <summary>
    /// The BrowseName for the ModellingRule_MandatoryShared component.
    /// </summary>
    public const string ModellingRule_MandatoryShared = "MandatoryShared";

    /// <summary>
    /// The BrowseName for the ModellingRule_Optional component.
    /// </summary>
    public const string ModellingRule_Optional = "Optional";

    /// <summary>
    /// The BrowseName for the ModellingRule_OptionalPlaceholder component.
    /// </summary>
    public const string ModellingRule_OptionalPlaceholder = "OptionalPlaceholder";

    /// <summary>
    /// The BrowseName for the ModellingRules component.
    /// </summary>
    public const string ModellingRules = "ModellingRules";

    /// <summary>
    /// The BrowseName for the ModellingRuleType component.
    /// </summary>
    public const string ModellingRuleType = "ModellingRuleType";

    /// <summary>
    /// The BrowseName for the ModificationInfo component.
    /// </summary>
    public const string ModificationInfo = "ModificationInfo";

    /// <summary>
    /// The BrowseName for the ModifyCount component.
    /// </summary>
    public const string ModifyCount = "ModifyCount";

    /// <summary>
    /// The BrowseName for the ModifyMonitoredItemsCount component.
    /// </summary>
    public const string ModifyMonitoredItemsCount = "ModifyMonitoredItemsCount";

    /// <summary>
    /// The BrowseName for the ModifyMonitoredItemsRequest component.
    /// </summary>
    public const string ModifyMonitoredItemsRequest = "ModifyMonitoredItemsRequest";

    /// <summary>
    /// The BrowseName for the ModifyMonitoredItemsResponse component.
    /// </summary>
    public const string ModifyMonitoredItemsResponse = "ModifyMonitoredItemsResponse";

    /// <summary>
    /// The BrowseName for the ModifySubscriptionCount component.
    /// </summary>
    public const string ModifySubscriptionCount = "ModifySubscriptionCount";

    /// <summary>
    /// The BrowseName for the ModifySubscriptionRequest component.
    /// </summary>
    public const string ModifySubscriptionRequest = "ModifySubscriptionRequest";

    /// <summary>
    /// The BrowseName for the ModifySubscriptionResponse component.
    /// </summary>
    public const string ModifySubscriptionResponse = "ModifySubscriptionResponse";

    /// <summary>
    /// The BrowseName for the MonitoredItemCount component.
    /// </summary>
    public const string MonitoredItemCount = "MonitoredItemCount";

    /// <summary>
    /// The BrowseName for the MonitoredItemCreateRequest component.
    /// </summary>
    public const string MonitoredItemCreateRequest = "MonitoredItemCreateRequest";

    /// <summary>
    /// The BrowseName for the MonitoredItemCreateResult component.
    /// </summary>
    public const string MonitoredItemCreateResult = "MonitoredItemCreateResult";

    /// <summary>
    /// The BrowseName for the MonitoredItemModifyRequest component.
    /// </summary>
    public const string MonitoredItemModifyRequest = "MonitoredItemModifyRequest";

    /// <summary>
    /// The BrowseName for the MonitoredItemModifyResult component.
    /// </summary>
    public const string MonitoredItemModifyResult = "MonitoredItemModifyResult";

    /// <summary>
    /// The BrowseName for the MonitoredItemNotification component.
    /// </summary>
    public const string MonitoredItemNotification = "MonitoredItemNotification";

    /// <summary>
    /// The BrowseName for the MonitoringFilter component.
    /// </summary>
    public const string MonitoringFilter = "MonitoringFilter";

    /// <summary>
    /// The BrowseName for the MonitoringFilterResult component.
    /// </summary>
    public const string MonitoringFilterResult = "MonitoringFilterResult";

    /// <summary>
    /// The BrowseName for the MonitoringMode component.
    /// </summary>
    public const string MonitoringMode = "MonitoringMode";

    /// <summary>
    /// The BrowseName for the MonitoringParameters component.
    /// </summary>
    public const string MonitoringParameters = "MonitoringParameters";

    /// <summary>
    /// The BrowseName for the MonitoringQueueOverflowCount component.
    /// </summary>
    public const string MonitoringQueueOverflowCount = "MonitoringQueueOverflowCount";

    /// <summary>
    /// The BrowseName for the MultiStateDiscreteType component.
    /// </summary>
    public const string MultiStateDiscreteType = "MultiStateDiscreteType";

    /// <summary>
    /// The BrowseName for the MultiStateValueDiscreteType component.
    /// </summary>
    public const string MultiStateValueDiscreteType = "MultiStateValueDiscreteType";

    /// <summary>
    /// The BrowseName for the Name component.
    /// </summary>
    public const string Name = "Name";

    /// <summary>
    /// The BrowseName for the NamespaceArray component.
    /// </summary>
    public const string NamespaceArray = "NamespaceArray";

    /// <summary>
    /// The BrowseName for the NamespaceFile component.
    /// </summary>
    public const string NamespaceFile = "NamespaceFile";

    /// <summary>
    /// The BrowseName for the NamespaceIdentifier component.
    /// </summary>
    public const string NamespaceIdentifier = "<NamespaceIdentifier>";

    /// <summary>
    /// The BrowseName for the NamespaceMetadataType component.
    /// </summary>
    public const string NamespaceMetadataType = "NamespaceMetadataType";

    /// <summary>
    /// The BrowseName for the NamespacePublicationDate component.
    /// </summary>
    public const string NamespacePublicationDate = "NamespacePublicationDate";

    /// <summary>
    /// The BrowseName for the Namespaces component.
    /// </summary>
    public const string Namespaces = "Namespaces";

    /// <summary>
    /// The BrowseName for the NamespacesType component.
    /// </summary>
    public const string NamespacesType = "NamespacesType";

    /// <summary>
    /// The BrowseName for the NamespaceUri component.
    /// </summary>
    public const string NamespaceUri = "NamespaceUri";

    /// <summary>
    /// The BrowseName for the NamespaceVersion component.
    /// </summary>
    public const string NamespaceVersion = "NamespaceVersion";

    /// <summary>
    /// The BrowseName for the NamingRule component.
    /// </summary>
    public const string NamingRule = "NamingRule";

    /// <summary>
    /// The BrowseName for the NamingRuleType component.
    /// </summary>
    public const string NamingRuleType = "NamingRuleType";

    /// <summary>
    /// The BrowseName for the NDimensionArrayItemType component.
    /// </summary>
    public const string NDimensionArrayItemType = "NDimensionArrayItemType";

    /// <summary>
    /// The BrowseName for the NetworkGroupDataType component.
    /// </summary>
    public const string NetworkGroupDataType = "NetworkGroupDataType";

    /// <summary>
    /// The BrowseName for the NewStateId component.
    /// </summary>
    public const string NewStateId = "NewStateId";

    /// <summary>
    /// The BrowseName for the NewValue component.
    /// </summary>
    public const string NewValue = "NewValue";

    /// <summary>
    /// The BrowseName for the NewValues component.
    /// </summary>
    public const string NewValues = "NewValues";

    /// <summary>
    /// The BrowseName for the NextSequenceNumber component.
    /// </summary>
    public const string NextSequenceNumber = "NextSequenceNumber";

    /// <summary>
    /// The BrowseName for the Node component.
    /// </summary>
    public const string Node = "Node";

    /// <summary>
    /// The BrowseName for the NodeAttributes component.
    /// </summary>
    public const string NodeAttributes = "NodeAttributes";

    /// <summary>
    /// The BrowseName for the NodeAttributesMask component.
    /// </summary>
    public const string NodeAttributesMask = "NodeAttributesMask";

    /// <summary>
    /// The BrowseName for the NodeClass component.
    /// </summary>
    public const string NodeClass = "NodeClass";

    /// <summary>
    /// The BrowseName for the NodeId component.
    /// </summary>
    public const string NodeId = "NodeId";

    /// <summary>
    /// The BrowseName for the NodeReference component.
    /// </summary>
    public const string NodeReference = "NodeReference";

    /// <summary>
    /// The BrowseName for the NodesToAdd component.
    /// </summary>
    public const string NodesToAdd = "NodesToAdd";

    /// <summary>
    /// The BrowseName for the NodesToDelete component.
    /// </summary>
    public const string NodesToDelete = "NodesToDelete";

    /// <summary>
    /// The BrowseName for the NodeTypeDescription component.
    /// </summary>
    public const string NodeTypeDescription = "NodeTypeDescription";

    /// <summary>
    /// The BrowseName for the NodeVersion component.
    /// </summary>
    public const string NodeVersion = "NodeVersion";

    /// <summary>
    /// The BrowseName for the NonExclusiveDeviationAlarmType component.
    /// </summary>
    public const string NonExclusiveDeviationAlarmType = "NonExclusiveDeviationAlarmType";

    /// <summary>
    /// The BrowseName for the NonExclusiveLevelAlarmType component.
    /// </summary>
    public const string NonExclusiveLevelAlarmType = "NonExclusiveLevelAlarmType";

    /// <summary>
    /// The BrowseName for the NonExclusiveLimitAlarmType component.
    /// </summary>
    public const string NonExclusiveLimitAlarmType = "NonExclusiveLimitAlarmType";

    /// <summary>
    /// The BrowseName for the NonExclusiveRateOfChangeAlarmType component.
    /// </summary>
    public const string NonExclusiveRateOfChangeAlarmType = "NonExclusiveRateOfChangeAlarmType";

    /// <summary>
    /// The BrowseName for the NonHierarchicalReferences component.
    /// </summary>
    public const string NonHierarchicalReferences = "NonHierarchicalReferences";

    /// <summary>
    /// The BrowseName for the NonTransparentNetworkRedundancyType component.
    /// </summary>
    public const string NonTransparentNetworkRedundancyType = "NonTransparentNetworkRedundancyType";

    /// <summary>
    /// The BrowseName for the NonTransparentRedundancyType component.
    /// </summary>
    public const string NonTransparentRedundancyType = "NonTransparentRedundancyType";

    /// <summary>
    /// The BrowseName for the NormalState component.
    /// </summary>
    public const string NormalState = "NormalState";

    /// <summary>
    /// The BrowseName for the NotificationData component.
    /// </summary>
    public const string NotificationData = "NotificationData";

    /// <summary>
    /// The BrowseName for the NotificationMessage component.
    /// </summary>
    public const string NotificationMessage = "NotificationMessage";

    /// <summary>
    /// The BrowseName for the NotificationsCount component.
    /// </summary>
    public const string NotificationsCount = "NotificationsCount";

    /// <summary>
    /// The BrowseName for the Number component.
    /// </summary>
    public const string Number = "Number";

    /// <summary>
    /// The BrowseName for the NumericRange component.
    /// </summary>
    public const string NumericRange = "NumericRange";

    /// <summary>
    /// The BrowseName for the ObjectAttributes component.
    /// </summary>
    public const string ObjectAttributes = "ObjectAttributes";

    /// <summary>
    /// The BrowseName for the ObjectNode component.
    /// </summary>
    public const string ObjectNode = "ObjectNode";

    /// <summary>
    /// The BrowseName for the ObjectsFolder component.
    /// </summary>
    public const string ObjectsFolder = "Objects";

    /// <summary>
    /// The BrowseName for the ObjectTypeAttributes component.
    /// </summary>
    public const string ObjectTypeAttributes = "ObjectTypeAttributes";

    /// <summary>
    /// The BrowseName for the ObjectTypeNode component.
    /// </summary>
    public const string ObjectTypeNode = "ObjectTypeNode";

    /// <summary>
    /// The BrowseName for the ObjectTypesFolder component.
    /// </summary>
    public const string ObjectTypesFolder = "ObjectTypes";

    /// <summary>
    /// The BrowseName for the OffNormalAlarmType component.
    /// </summary>
    public const string OffNormalAlarmType = "OffNormalAlarmType";

    /// <summary>
    /// The BrowseName for the OkResponse component.
    /// </summary>
    public const string OkResponse = "OkResponse";

    /// <summary>
    /// The BrowseName for the OldStateId component.
    /// </summary>
    public const string OldStateId = "OldStateId";

    /// <summary>
    /// The BrowseName for the OldValue component.
    /// </summary>
    public const string OldValue = "OldValue";

    /// <summary>
    /// The BrowseName for the OldValues component.
    /// </summary>
    public const string OldValues = "OldValues";

    /// <summary>
    /// The BrowseName for the OneShotShelve component.
    /// </summary>
    public const string OneShotShelve = "OneShotShelve";

    /// <summary>
    /// The BrowseName for the OneShotShelved component.
    /// </summary>
    public const string OneShotShelved = "OneShotShelved";

    /// <summary>
    /// The BrowseName for the OneShotShelvedToTimedShelved component.
    /// </summary>
    public const string OneShotShelvedToTimedShelved = "OneShotShelvedToTimedShelved";

    /// <summary>
    /// The BrowseName for the OneShotShelvedToUnshelved component.
    /// </summary>
    public const string OneShotShelvedToUnshelved = "OneShotShelvedToUnshelved";

    /// <summary>
    /// The BrowseName for the OPCBinarySchema_TypeSystem component.
    /// </summary>
    public const string OPCBinarySchema_TypeSystem = "OPC Binary";

    /// <summary>
    /// The BrowseName for the OpcUa_BinarySchema component.
    /// </summary>
    public const string OpcUa_BinarySchema = "Opc.Ua";

    /// <summary>
    /// The BrowseName for the OpcUa_XmlSchema component.
    /// </summary>
    public const string OpcUa_XmlSchema = "Opc.Ua";

    /// <summary>
    /// The BrowseName for the Open component.
    /// </summary>
    public const string Open = "Open";

    /// <summary>
    /// The BrowseName for the OpenCount component.
    /// </summary>
    public const string OpenCount = "OpenCount";

    /// <summary>
    /// The BrowseName for the OpenFileMode component.
    /// </summary>
    public const string OpenFileMode = "OpenFileMode";

    /// <summary>
    /// The BrowseName for the OpenMethodType component.
    /// </summary>
    public const string OpenMethodType = "OpenMethodType";

    /// <summary>
    /// The BrowseName for the OpenSecureChannelRequest component.
    /// </summary>
    public const string OpenSecureChannelRequest = "OpenSecureChannelRequest";

    /// <summary>
    /// The BrowseName for the OpenSecureChannelResponse component.
    /// </summary>
    public const string OpenSecureChannelResponse = "OpenSecureChannelResponse";

    /// <summary>
    /// The BrowseName for the OperationLimits component.
    /// </summary>
    public const string OperationLimits = "OperationLimits";

    /// <summary>
    /// The BrowseName for the OperationLimitsType component.
    /// </summary>
    public const string OperationLimitsType = "OperationLimitsType";

    /// <summary>
    /// The BrowseName for the OptionSetType component.
    /// </summary>
    public const string OptionSetType = "OptionSetType";

    /// <summary>
    /// The BrowseName for the OptionSetValues component.
    /// </summary>
    public const string OptionSetValues = "OptionSetValues";

    /// <summary>
    /// The BrowseName for the Organizes component.
    /// </summary>
    public const string Organizes = "Organizes";

    /// <summary>
    /// The BrowseName for the OutputArguments component.
    /// </summary>
    public const string OutputArguments = "OutputArguments";

    /// <summary>
    /// The BrowseName for the ParameterDataTypeId component.
    /// </summary>
    public const string ParameterDataTypeId = "ParameterDataTypeId";

    /// <summary>
    /// The BrowseName for the ParsingResult component.
    /// </summary>
    public const string ParsingResult = "ParsingResult";

    /// <summary>
    /// The BrowseName for the PercentDataBad component.
    /// </summary>
    public const string PercentDataBad = "PercentDataBad";

    /// <summary>
    /// The BrowseName for the PercentDataGood component.
    /// </summary>
    public const string PercentDataGood = "PercentDataGood";

    /// <summary>
    /// The BrowseName for the PerformInsertReplace component.
    /// </summary>
    public const string PerformInsertReplace = "PerformInsertReplace";

    /// <summary>
    /// The BrowseName for the PerformUpdateType component.
    /// </summary>
    public const string PerformUpdateType = "PerformUpdateType";

    /// <summary>
    /// The BrowseName for the Priority component.
    /// </summary>
    public const string Priority = "Priority";

    /// <summary>
    /// The BrowseName for the ProcessConditionClassType component.
    /// </summary>
    public const string ProcessConditionClassType = "ProcessConditionClassType";

    /// <summary>
    /// The BrowseName for the ProductName component.
    /// </summary>
    public const string ProductName = "ProductName";

    /// <summary>
    /// The BrowseName for the ProductUri component.
    /// </summary>
    public const string ProductUri = "ProductUri";

    /// <summary>
    /// The BrowseName for the ProgramDiagnosticDataType component.
    /// </summary>
    public const string ProgramDiagnosticDataType = "ProgramDiagnosticDataType";

    /// <summary>
    /// The BrowseName for the ProgramDiagnostics component.
    /// </summary>
    public const string ProgramDiagnostics = "ProgramDiagnostics";

    /// <summary>
    /// The BrowseName for the ProgramDiagnosticType component.
    /// </summary>
    public const string ProgramDiagnosticType = "ProgramDiagnosticType";

    /// <summary>
    /// The BrowseName for the ProgramStateMachineType component.
    /// </summary>
    public const string ProgramStateMachineType = "ProgramStateMachineType";

    /// <summary>
    /// The BrowseName for the ProgramTransitionAuditEventType component.
    /// </summary>
    public const string ProgramTransitionAuditEventType = "ProgramTransitionAuditEventType";

    /// <summary>
    /// The BrowseName for the ProgramTransitionEventType component.
    /// </summary>
    public const string ProgramTransitionEventType = "ProgramTransitionEventType";

    /// <summary>
    /// The BrowseName for the ProgressEventType component.
    /// </summary>
    public const string ProgressEventType = "ProgressEventType";

    /// <summary>
    /// The BrowseName for the Prompt component.
    /// </summary>
    public const string Prompt = "Prompt";

    /// <summary>
    /// The BrowseName for the PropertyType component.
    /// </summary>
    public const string PropertyType = "PropertyType";

    /// <summary>
    /// The BrowseName for the PublishCount component.
    /// </summary>
    public const string PublishCount = "PublishCount";

    /// <summary>
    /// The BrowseName for the PublishingEnabled component.
    /// </summary>
    public const string PublishingEnabled = "PublishingEnabled";

    /// <summary>
    /// The BrowseName for the PublishingInterval component.
    /// </summary>
    public const string PublishingInterval = "PublishingInterval";

    /// <summary>
    /// The BrowseName for the PublishingIntervalCount component.
    /// </summary>
    public const string PublishingIntervalCount = "PublishingIntervalCount";

    /// <summary>
    /// The BrowseName for the PublishRequest component.
    /// </summary>
    public const string PublishRequest = "PublishRequest";

    /// <summary>
    /// The BrowseName for the PublishRequestCount component.
    /// </summary>
    public const string PublishRequestCount = "PublishRequestCount";

    /// <summary>
    /// The BrowseName for the PublishResponse component.
    /// </summary>
    public const string PublishResponse = "PublishResponse";

    /// <summary>
    /// The BrowseName for the QualifiedName component.
    /// </summary>
    public const string QualifiedName = "QualifiedName";

    /// <summary>
    /// The BrowseName for the Quality component.
    /// </summary>
    public const string Quality = "Quality";

    /// <summary>
    /// The BrowseName for the QueryDataDescription component.
    /// </summary>
    public const string QueryDataDescription = "QueryDataDescription";

    /// <summary>
    /// The BrowseName for the QueryDataSet component.
    /// </summary>
    public const string QueryDataSet = "QueryDataSet";

    /// <summary>
    /// The BrowseName for the QueryFirstCount component.
    /// </summary>
    public const string QueryFirstCount = "QueryFirstCount";

    /// <summary>
    /// The BrowseName for the QueryFirstRequest component.
    /// </summary>
    public const string QueryFirstRequest = "QueryFirstRequest";

    /// <summary>
    /// The BrowseName for the QueryFirstResponse component.
    /// </summary>
    public const string QueryFirstResponse = "QueryFirstResponse";

    /// <summary>
    /// The BrowseName for the QueryNextCount component.
    /// </summary>
    public const string QueryNextCount = "QueryNextCount";

    /// <summary>
    /// The BrowseName for the QueryNextRequest component.
    /// </summary>
    public const string QueryNextRequest = "QueryNextRequest";

    /// <summary>
    /// The BrowseName for the QueryNextResponse component.
    /// </summary>
    public const string QueryNextResponse = "QueryNextResponse";

    /// <summary>
    /// The BrowseName for the Range component.
    /// </summary>
    public const string Range = "Range";

    /// <summary>
    /// The BrowseName for the Read component.
    /// </summary>
    public const string Read = "Read";

    /// <summary>
    /// The BrowseName for the ReadAtTimeDetails component.
    /// </summary>
    public const string ReadAtTimeDetails = "ReadAtTimeDetails";

    /// <summary>
    /// The BrowseName for the ReadCount component.
    /// </summary>
    public const string ReadCount = "ReadCount";

    /// <summary>
    /// The BrowseName for the ReadEventDetails component.
    /// </summary>
    public const string ReadEventDetails = "ReadEventDetails";

    /// <summary>
    /// The BrowseName for the ReadMethodType component.
    /// </summary>
    public const string ReadMethodType = "ReadMethodType";

    /// <summary>
    /// The BrowseName for the ReadProcessedDetails component.
    /// </summary>
    public const string ReadProcessedDetails = "ReadProcessedDetails";

    /// <summary>
    /// The BrowseName for the ReadRawModifiedDetails component.
    /// </summary>
    public const string ReadRawModifiedDetails = "ReadRawModifiedDetails";

    /// <summary>
    /// The BrowseName for the ReadRequest component.
    /// </summary>
    public const string ReadRequest = "ReadRequest";

    /// <summary>
    /// The BrowseName for the ReadResponse component.
    /// </summary>
    public const string ReadResponse = "ReadResponse";

    /// <summary>
    /// The BrowseName for the ReadValueId component.
    /// </summary>
    public const string ReadValueId = "ReadValueId";

    /// <summary>
    /// The BrowseName for the Ready component.
    /// </summary>
    public const string Ready = "Ready";

    /// <summary>
    /// The BrowseName for the ReadyToHalted component.
    /// </summary>
    public const string ReadyToHalted = "ReadyToHalted";

    /// <summary>
    /// The BrowseName for the ReadyToRunning component.
    /// </summary>
    public const string ReadyToRunning = "ReadyToRunning";

    /// <summary>
    /// The BrowseName for the ReceiveTime component.
    /// </summary>
    public const string ReceiveTime = "ReceiveTime";

    /// <summary>
    /// The BrowseName for the RecycleCount component.
    /// </summary>
    public const string RecycleCount = "RecycleCount";

    /// <summary>
    /// The BrowseName for the RedundancySupport component.
    /// </summary>
    public const string RedundancySupport = "RedundancySupport";

    /// <summary>
    /// The BrowseName for the RedundantServerArray component.
    /// </summary>
    public const string RedundantServerArray = "RedundantServerArray";

    /// <summary>
    /// The BrowseName for the RedundantServerDataType component.
    /// </summary>
    public const string RedundantServerDataType = "RedundantServerDataType";

    /// <summary>
    /// The BrowseName for the ReferenceDescription component.
    /// </summary>
    public const string ReferenceDescription = "ReferenceDescription";

    /// <summary>
    /// The BrowseName for the ReferenceNode component.
    /// </summary>
    public const string ReferenceNode = "ReferenceNode";

    /// <summary>
    /// The BrowseName for the References component.
    /// </summary>
    public const string References = "References";

    /// <summary>
    /// The BrowseName for the ReferencesToAdd component.
    /// </summary>
    public const string ReferencesToAdd = "ReferencesToAdd";

    /// <summary>
    /// The BrowseName for the ReferencesToDelete component.
    /// </summary>
    public const string ReferencesToDelete = "ReferencesToDelete";

    /// <summary>
    /// The BrowseName for the ReferenceTypeAttributes component.
    /// </summary>
    public const string ReferenceTypeAttributes = "ReferenceTypeAttributes";

    /// <summary>
    /// The BrowseName for the ReferenceTypeNode component.
    /// </summary>
    public const string ReferenceTypeNode = "ReferenceTypeNode";

    /// <summary>
    /// The BrowseName for the ReferenceTypesFolder component.
    /// </summary>
    public const string ReferenceTypesFolder = "ReferenceTypes";

    /// <summary>
    /// The BrowseName for the RefreshEndEventType component.
    /// </summary>
    public const string RefreshEndEventType = "RefreshEndEventType";

    /// <summary>
    /// The BrowseName for the RefreshRequiredEventType component.
    /// </summary>
    public const string RefreshRequiredEventType = "RefreshRequiredEventType";

    /// <summary>
    /// The BrowseName for the RefreshStartEventType component.
    /// </summary>
    public const string RefreshStartEventType = "RefreshStartEventType";

    /// <summary>
    /// The BrowseName for the RegisteredServer component.
    /// </summary>
    public const string RegisteredServer = "RegisteredServer";

    /// <summary>
    /// The BrowseName for the RegisterNodesCount component.
    /// </summary>
    public const string RegisterNodesCount = "RegisterNodesCount";

    /// <summary>
    /// The BrowseName for the RegisterNodesRequest component.
    /// </summary>
    public const string RegisterNodesRequest = "RegisterNodesRequest";

    /// <summary>
    /// The BrowseName for the RegisterNodesResponse component.
    /// </summary>
    public const string RegisterNodesResponse = "RegisterNodesResponse";

    /// <summary>
    /// The BrowseName for the RegisterServerRequest component.
    /// </summary>
    public const string RegisterServerRequest = "RegisterServerRequest";

    /// <summary>
    /// The BrowseName for the RegisterServerResponse component.
    /// </summary>
    public const string RegisterServerResponse = "RegisterServerResponse";

    /// <summary>
    /// The BrowseName for the RejectedRequestsCount component.
    /// </summary>
    public const string RejectedRequestsCount = "RejectedRequestsCount";

    /// <summary>
    /// The BrowseName for the RejectedSessionCount component.
    /// </summary>
    public const string RejectedSessionCount = "RejectedSessionCount";

    /// <summary>
    /// The BrowseName for the RelativePath component.
    /// </summary>
    public const string RelativePath = "RelativePath";

    /// <summary>
    /// The BrowseName for the RelativePathElement component.
    /// </summary>
    public const string RelativePathElement = "RelativePathElement";

    /// <summary>
    /// The BrowseName for the ReplaceDataCapability component.
    /// </summary>
    public const string ReplaceDataCapability = "ReplaceDataCapability";

    /// <summary>
    /// The BrowseName for the ReplaceEventCapability component.
    /// </summary>
    public const string ReplaceEventCapability = "ReplaceEventCapability";

    /// <summary>
    /// The BrowseName for the RepublishCount component.
    /// </summary>
    public const string RepublishCount = "RepublishCount";

    /// <summary>
    /// The BrowseName for the RepublishMessageCount component.
    /// </summary>
    public const string RepublishMessageCount = "RepublishMessageCount";

    /// <summary>
    /// The BrowseName for the RepublishMessageRequestCount component.
    /// </summary>
    public const string RepublishMessageRequestCount = "RepublishMessageRequestCount";

    /// <summary>
    /// The BrowseName for the RepublishRequest component.
    /// </summary>
    public const string RepublishRequest = "RepublishRequest";

    /// <summary>
    /// The BrowseName for the RepublishRequestCount component.
    /// </summary>
    public const string RepublishRequestCount = "RepublishRequestCount";

    /// <summary>
    /// The BrowseName for the RepublishResponse component.
    /// </summary>
    public const string RepublishResponse = "RepublishResponse";

    /// <summary>
    /// The BrowseName for the ReqTimes component.
    /// </summary>
    public const string ReqTimes = "ReqTimes";

    /// <summary>
    /// The BrowseName for the RequestedLifetime component.
    /// </summary>
    public const string RequestedLifetime = "RequestedLifetime";

    /// <summary>
    /// The BrowseName for the RequestHandle component.
    /// </summary>
    public const string RequestHandle = "RequestHandle";

    /// <summary>
    /// The BrowseName for the RequestHeader component.
    /// </summary>
    public const string RequestHeader = "RequestHeader";

    /// <summary>
    /// The BrowseName for the RequestType component.
    /// </summary>
    public const string RequestType = "RequestType";

    /// <summary>
    /// The BrowseName for the Reset component.
    /// </summary>
    public const string Reset = "Reset";

    /// <summary>
    /// The BrowseName for the Respond component.
    /// </summary>
    public const string Respond = "Respond";

    /// <summary>
    /// The BrowseName for the ResponseHeader component.
    /// </summary>
    public const string ResponseHeader = "ResponseHeader";

    /// <summary>
    /// The BrowseName for the ResponseOptionSet component.
    /// </summary>
    public const string ResponseOptionSet = "ResponseOptionSet";

    /// <summary>
    /// The BrowseName for the Resume component.
    /// </summary>
    public const string Resume = "Resume";

    /// <summary>
    /// The BrowseName for the Retain component.
    /// </summary>
    public const string Retain = "Retain";

    /// <summary>
    /// The BrowseName for the RevisedSessionTimeout component.
    /// </summary>
    public const string RevisedSessionTimeout = "RevisedSessionTimeout";

    /// <summary>
    /// The BrowseName for the RootFolder component.
    /// </summary>
    public const string RootFolder = "Root";

    /// <summary>
    /// The BrowseName for the Running component.
    /// </summary>
    public const string Running = "Running";

    /// <summary>
    /// The BrowseName for the RunningToHalted component.
    /// </summary>
    public const string RunningToHalted = "RunningToHalted";

    /// <summary>
    /// The BrowseName for the RunningToReady component.
    /// </summary>
    public const string RunningToReady = "RunningToReady";

    /// <summary>
    /// The BrowseName for the RunningToSuspended component.
    /// </summary>
    public const string RunningToSuspended = "RunningToSuspended";

    /// <summary>
    /// The BrowseName for the SampledMonitoredItemsCount component.
    /// </summary>
    public const string SampledMonitoredItemsCount = "SampledMonitoredItemsCount";

    /// <summary>
    /// The BrowseName for the SamplingInterval component.
    /// </summary>
    public const string SamplingInterval = "SamplingInterval";

    /// <summary>
    /// The BrowseName for the SamplingIntervalDiagnosticsArray component.
    /// </summary>
    public const string SamplingIntervalDiagnosticsArray = "SamplingIntervalDiagnosticsArray";

    /// <summary>
    /// The BrowseName for the SamplingIntervalDiagnosticsArrayType component.
    /// </summary>
    public const string SamplingIntervalDiagnosticsArrayType = "SamplingIntervalDiagnosticsArrayType";

    /// <summary>
    /// The BrowseName for the SamplingIntervalDiagnosticsDataType component.
    /// </summary>
    public const string SamplingIntervalDiagnosticsDataType = "SamplingIntervalDiagnosticsDataType";

    /// <summary>
    /// The BrowseName for the SamplingIntervalDiagnosticsType component.
    /// </summary>
    public const string SamplingIntervalDiagnosticsType = "SamplingIntervalDiagnosticsType";

    /// <summary>
    /// The BrowseName for the SByte component.
    /// </summary>
    public const string SByte = "SByte";

    /// <summary>
    /// The BrowseName for the ScalarTestType component.
    /// </summary>
    public const string ScalarTestType = "ScalarTestType";

    /// <summary>
    /// The BrowseName for the SecondsTillShutdown component.
    /// </summary>
    public const string SecondsTillShutdown = "SecondsTillShutdown";

    /// <summary>
    /// The BrowseName for the SecureChannelId component.
    /// </summary>
    public const string SecureChannelId = "SecureChannelId";

    /// <summary>
    /// The BrowseName for the SecurityMode component.
    /// </summary>
    public const string SecurityMode = "SecurityMode";

    /// <summary>
    /// The BrowseName for the SecurityPolicyUri component.
    /// </summary>
    public const string SecurityPolicyUri = "SecurityPolicyUri";

    /// <summary>
    /// The BrowseName for the SecurityRejectedRequestsCount component.
    /// </summary>
    public const string SecurityRejectedRequestsCount = "SecurityRejectedRequestsCount";

    /// <summary>
    /// The BrowseName for the SecurityRejectedSessionCount component.
    /// </summary>
    public const string SecurityRejectedSessionCount = "SecurityRejectedSessionCount";

    /// <summary>
    /// The BrowseName for the SecurityTokenRequestType component.
    /// </summary>
    public const string SecurityTokenRequestType = "SecurityTokenRequestType";

    /// <summary>
    /// The BrowseName for the SelectedResponse component.
    /// </summary>
    public const string SelectedResponse = "SelectedResponse";

    /// <summary>
    /// The BrowseName for the SemanticChangeEventType component.
    /// </summary>
    public const string SemanticChangeEventType = "SemanticChangeEventType";

    /// <summary>
    /// The BrowseName for the SemanticChangeStructureDataType component.
    /// </summary>
    public const string SemanticChangeStructureDataType = "SemanticChangeStructureDataType";

    /// <summary>
    /// The BrowseName for the Server component.
    /// </summary>
    public const string Server = "Server";

    /// <summary>
    /// The BrowseName for the ServerArray component.
    /// </summary>
    public const string ServerArray = "ServerArray";

    /// <summary>
    /// The BrowseName for the ServerCapabilities component.
    /// </summary>
    public const string ServerCapabilities = "ServerCapabilities";

    /// <summary>
    /// The BrowseName for the ServerCapabilitiesType component.
    /// </summary>
    public const string ServerCapabilitiesType = "ServerCapabilitiesType";

    /// <summary>
    /// The BrowseName for the ServerDiagnostics component.
    /// </summary>
    public const string ServerDiagnostics = "ServerDiagnostics";

    /// <summary>
    /// The BrowseName for the ServerDiagnosticsSummary component.
    /// </summary>
    public const string ServerDiagnosticsSummary = "ServerDiagnosticsSummary";

    /// <summary>
    /// The BrowseName for the ServerDiagnosticsSummaryDataType component.
    /// </summary>
    public const string ServerDiagnosticsSummaryDataType = "ServerDiagnosticsSummaryDataType";

    /// <summary>
    /// The BrowseName for the ServerDiagnosticsSummaryType component.
    /// </summary>
    public const string ServerDiagnosticsSummaryType = "ServerDiagnosticsSummaryType";

    /// <summary>
    /// The BrowseName for the ServerDiagnosticsType component.
    /// </summary>
    public const string ServerDiagnosticsType = "ServerDiagnosticsType";

    /// <summary>
    /// The BrowseName for the ServerId component.
    /// </summary>
    public const string ServerId = "ServerId";

    /// <summary>
    /// The BrowseName for the ServerLock component.
    /// </summary>
    public const string ServerLock = "ServerLock";

    /// <summary>
    /// The BrowseName for the ServerNetworkGroups component.
    /// </summary>
    public const string ServerNetworkGroups = "ServerNetworkGroups";

    /// <summary>
    /// The BrowseName for the ServerProfileArray component.
    /// </summary>
    public const string ServerProfileArray = "ServerProfileArray";

    /// <summary>
    /// The BrowseName for the ServerRedundancy component.
    /// </summary>
    public const string ServerRedundancy = "ServerRedundancy";

    /// <summary>
    /// The BrowseName for the ServerRedundancyType component.
    /// </summary>
    public const string ServerRedundancyType = "ServerRedundancyType";

    /// <summary>
    /// The BrowseName for the ServerState component.
    /// </summary>
    public const string ServerState = "ServerState";

    /// <summary>
    /// The BrowseName for the ServerStatus component.
    /// </summary>
    public const string ServerStatus = "ServerStatus";

    /// <summary>
    /// The BrowseName for the ServerStatusDataType component.
    /// </summary>
    public const string ServerStatusDataType = "ServerStatusDataType";

    /// <summary>
    /// The BrowseName for the ServerStatusType component.
    /// </summary>
    public const string ServerStatusType = "ServerStatusType";

    /// <summary>
    /// The BrowseName for the ServerType component.
    /// </summary>
    public const string ServerType = "ServerType";

    /// <summary>
    /// The BrowseName for the ServerUri component.
    /// </summary>
    public const string ServerUri = "ServerUri";

    /// <summary>
    /// The BrowseName for the ServerUriArray component.
    /// </summary>
    public const string ServerUriArray = "ServerUriArray";

    /// <summary>
    /// The BrowseName for the ServerVendorCapabilityType component.
    /// </summary>
    public const string ServerVendorCapabilityType = "ServerVendorCapabilityType";

    /// <summary>
    /// The BrowseName for the ServerViewCount component.
    /// </summary>
    public const string ServerViewCount = "ServerViewCount";

    /// <summary>
    /// The BrowseName for the ServiceCounterDataType component.
    /// </summary>
    public const string ServiceCounterDataType = "ServiceCounterDataType";

    /// <summary>
    /// The BrowseName for the ServiceFault component.
    /// </summary>
    public const string ServiceFault = "ServiceFault";

    /// <summary>
    /// The BrowseName for the ServiceLevel component.
    /// </summary>
    public const string ServiceLevel = "ServiceLevel";

    /// <summary>
    /// The BrowseName for the SessionAbortCount component.
    /// </summary>
    public const string SessionAbortCount = "SessionAbortCount";

    /// <summary>
    /// The BrowseName for the SessionAuthenticationToken component.
    /// </summary>
    public const string SessionAuthenticationToken = "SessionAuthenticationToken";

    /// <summary>
    /// The BrowseName for the SessionDiagnostics component.
    /// </summary>
    public const string SessionDiagnostics = "SessionDiagnostics";

    /// <summary>
    /// The BrowseName for the SessionDiagnosticsArray component.
    /// </summary>
    public const string SessionDiagnosticsArray = "SessionDiagnosticsArray";

    /// <summary>
    /// The BrowseName for the SessionDiagnosticsArrayType component.
    /// </summary>
    public const string SessionDiagnosticsArrayType = "SessionDiagnosticsArrayType";

    /// <summary>
    /// The BrowseName for the SessionDiagnosticsDataType component.
    /// </summary>
    public const string SessionDiagnosticsDataType = "SessionDiagnosticsDataType";

    /// <summary>
    /// The BrowseName for the SessionDiagnosticsObjectType component.
    /// </summary>
    public const string SessionDiagnosticsObjectType = "SessionDiagnosticsObjectType";

    /// <summary>
    /// The BrowseName for the SessionDiagnosticsVariableType component.
    /// </summary>
    public const string SessionDiagnosticsVariableType = "SessionDiagnosticsVariableType";

    /// <summary>
    /// The BrowseName for the SessionId component.
    /// </summary>
    public const string SessionId = "SessionId";

    /// <summary>
    /// The BrowseName for the SessionName component.
    /// </summary>
    public const string SessionName = "SessionName";

    /// <summary>
    /// The BrowseName for the SessionPlaceholder component.
    /// </summary>
    public const string SessionPlaceholder = "<SessionPlaceholder>";

    /// <summary>
    /// The BrowseName for the SessionsDiagnosticsSummary component.
    /// </summary>
    public const string SessionsDiagnosticsSummary = "SessionsDiagnosticsSummary";

    /// <summary>
    /// The BrowseName for the SessionsDiagnosticsSummaryType component.
    /// </summary>
    public const string SessionsDiagnosticsSummaryType = "SessionsDiagnosticsSummaryType";

    /// <summary>
    /// The BrowseName for the SessionSecurityDiagnostics component.
    /// </summary>
    public const string SessionSecurityDiagnostics = "SessionSecurityDiagnostics";

    /// <summary>
    /// The BrowseName for the SessionSecurityDiagnosticsArray component.
    /// </summary>
    public const string SessionSecurityDiagnosticsArray = "SessionSecurityDiagnosticsArray";

    /// <summary>
    /// The BrowseName for the SessionSecurityDiagnosticsArrayType component.
    /// </summary>
    public const string SessionSecurityDiagnosticsArrayType = "SessionSecurityDiagnosticsArrayType";

    /// <summary>
    /// The BrowseName for the SessionSecurityDiagnosticsDataType component.
    /// </summary>
    public const string SessionSecurityDiagnosticsDataType = "SessionSecurityDiagnosticsDataType";

    /// <summary>
    /// The BrowseName for the SessionSecurityDiagnosticsType component.
    /// </summary>
    public const string SessionSecurityDiagnosticsType = "SessionSecurityDiagnosticsType";

    /// <summary>
    /// The BrowseName for the SessionTimeoutCount component.
    /// </summary>
    public const string SessionTimeoutCount = "SessionTimeoutCount";

    /// <summary>
    /// The BrowseName for the SetMonitoringModeCount component.
    /// </summary>
    public const string SetMonitoringModeCount = "SetMonitoringModeCount";

    /// <summary>
    /// The BrowseName for the SetMonitoringModeRequest component.
    /// </summary>
    public const string SetMonitoringModeRequest = "SetMonitoringModeRequest";

    /// <summary>
    /// The BrowseName for the SetMonitoringModeResponse component.
    /// </summary>
    public const string SetMonitoringModeResponse = "SetMonitoringModeResponse";

    /// <summary>
    /// The BrowseName for the SetpointNode component.
    /// </summary>
    public const string SetpointNode = "SetpointNode";

    /// <summary>
    /// The BrowseName for the SetPosition component.
    /// </summary>
    public const string SetPosition = "SetPosition";

    /// <summary>
    /// The BrowseName for the SetPositionMethodType component.
    /// </summary>
    public const string SetPositionMethodType = "SetPositionMethodType";

    /// <summary>
    /// The BrowseName for the SetPublishingModeCount component.
    /// </summary>
    public const string SetPublishingModeCount = "SetPublishingModeCount";

    /// <summary>
    /// The BrowseName for the SetPublishingModeRequest component.
    /// </summary>
    public const string SetPublishingModeRequest = "SetPublishingModeRequest";

    /// <summary>
    /// The BrowseName for the SetPublishingModeResponse component.
    /// </summary>
    public const string SetPublishingModeResponse = "SetPublishingModeResponse";

    /// <summary>
    /// The BrowseName for the SetTriggeringCount component.
    /// </summary>
    public const string SetTriggeringCount = "SetTriggeringCount";

    /// <summary>
    /// The BrowseName for the SetTriggeringRequest component.
    /// </summary>
    public const string SetTriggeringRequest = "SetTriggeringRequest";

    /// <summary>
    /// The BrowseName for the SetTriggeringResponse component.
    /// </summary>
    public const string SetTriggeringResponse = "SetTriggeringResponse";

    /// <summary>
    /// The BrowseName for the Severity component.
    /// </summary>
    public const string Severity = "Severity";

    /// <summary>
    /// The BrowseName for the ShelvedStateMachineType component.
    /// </summary>
    public const string ShelvedStateMachineType = "ShelvedStateMachineType";

    /// <summary>
    /// The BrowseName for the ShelvingState component.
    /// </summary>
    public const string ShelvingState = "ShelvingState";

    /// <summary>
    /// The BrowseName for the ShelvingTime component.
    /// </summary>
    public const string ShelvingTime = "ShelvingTime";

    /// <summary>
    /// The BrowseName for the ShutdownReason component.
    /// </summary>
    public const string ShutdownReason = "ShutdownReason";

    /// <summary>
    /// The BrowseName for the SignatureData component.
    /// </summary>
    public const string SignatureData = "SignatureData";

    /// <summary>
    /// The BrowseName for the SignedSoftwareCertificate component.
    /// </summary>
    public const string SignedSoftwareCertificate = "SignedSoftwareCertificate";

    /// <summary>
    /// The BrowseName for the SimpleAttributeOperand component.
    /// </summary>
    public const string SimpleAttributeOperand = "SimpleAttributeOperand";

    /// <summary>
    /// The BrowseName for the Size component.
    /// </summary>
    public const string Size = "Size";

    /// <summary>
    /// The BrowseName for the SoftwareCertificate component.
    /// </summary>
    public const string SoftwareCertificate = "SoftwareCertificate";

    /// <summary>
    /// The BrowseName for the SoftwareCertificates component.
    /// </summary>
    public const string SoftwareCertificates = "SoftwareCertificates";

    /// <summary>
    /// The BrowseName for the SoftwareVersion component.
    /// </summary>
    public const string SoftwareVersion = "SoftwareVersion";

    /// <summary>
    /// The BrowseName for the SourceName component.
    /// </summary>
    public const string SourceName = "SourceName";

    /// <summary>
    /// The BrowseName for the SourceNode component.
    /// </summary>
    public const string SourceNode = "SourceNode";

    /// <summary>
    /// The BrowseName for the SourceTimestamp component.
    /// </summary>
    public const string SourceTimestamp = "SourceTimestamp";

    /// <summary>
    /// The BrowseName for the Start component.
    /// </summary>
    public const string Start = "Start";

    /// <summary>
    /// The BrowseName for the StartOfArchive component.
    /// </summary>
    public const string StartOfArchive = "StartOfArchive";

    /// <summary>
    /// The BrowseName for the StartOfOnlineArchive component.
    /// </summary>
    public const string StartOfOnlineArchive = "StartOfOnlineArchive";

    /// <summary>
    /// The BrowseName for the StartTime component.
    /// </summary>
    public const string StartTime = "StartTime";

    /// <summary>
    /// The BrowseName for the State component.
    /// </summary>
    public const string State = "State";

    /// <summary>
    /// The BrowseName for the StateMachineType component.
    /// </summary>
    public const string StateMachineType = "StateMachineType";

    /// <summary>
    /// The BrowseName for the StateNumber component.
    /// </summary>
    public const string StateNumber = "StateNumber";

    /// <summary>
    /// The BrowseName for the StateType component.
    /// </summary>
    public const string StateType = "StateType";

    /// <summary>
    /// The BrowseName for the StateVariableType component.
    /// </summary>
    public const string StateVariableType = "StateVariableType";

    /// <summary>
    /// The BrowseName for the StaticNodeIdIndentifierTypes component.
    /// </summary>
    public const string StaticNodeIdIndentifierTypes = "StaticNodeIdIndentifierTypes";

    /// <summary>
    /// The BrowseName for the StaticNumericNodeIdRange component.
    /// </summary>
    public const string StaticNumericNodeIdRange = "StaticNumericNodeIdRange";

    /// <summary>
    /// The BrowseName for the StaticStringNodeIdPattern component.
    /// </summary>
    public const string StaticStringNodeIdPattern = "StaticStringNodeIdPattern";

    /// <summary>
    /// The BrowseName for the Status component.
    /// </summary>
    public const string Status = "Status";

    /// <summary>
    /// The BrowseName for the StatusChangeNotification component.
    /// </summary>
    public const string StatusChangeNotification = "StatusChangeNotification";

    /// <summary>
    /// The BrowseName for the StatusCode component.
    /// </summary>
    public const string StatusCode = "StatusCode";

    /// <summary>
    /// The BrowseName for the StatusResult component.
    /// </summary>
    public const string StatusResult = "StatusResult";

    /// <summary>
    /// The BrowseName for the Stepped component.
    /// </summary>
    public const string Stepped = "Stepped";

    /// <summary>
    /// The BrowseName for the String component.
    /// </summary>
    public const string String = "String";

    /// <summary>
    /// The BrowseName for the Structure component.
    /// </summary>
    public const string Structure = "Structure";

    /// <summary>
    /// The BrowseName for the SubscriptionAcknowledgement component.
    /// </summary>
    public const string SubscriptionAcknowledgement = "SubscriptionAcknowledgement";

    /// <summary>
    /// The BrowseName for the SubscriptionDiagnosticsArray component.
    /// </summary>
    public const string SubscriptionDiagnosticsArray = "SubscriptionDiagnosticsArray";

    /// <summary>
    /// The BrowseName for the SubscriptionDiagnosticsArrayType component.
    /// </summary>
    public const string SubscriptionDiagnosticsArrayType = "SubscriptionDiagnosticsArrayType";

    /// <summary>
    /// The BrowseName for the SubscriptionDiagnosticsDataType component.
    /// </summary>
    public const string SubscriptionDiagnosticsDataType = "SubscriptionDiagnosticsDataType";

    /// <summary>
    /// The BrowseName for the SubscriptionDiagnosticsType component.
    /// </summary>
    public const string SubscriptionDiagnosticsType = "SubscriptionDiagnosticsType";

    /// <summary>
    /// The BrowseName for the SubscriptionId component.
    /// </summary>
    public const string SubscriptionId = "SubscriptionId";

    /// <summary>
    /// The BrowseName for the SupportedProfile component.
    /// </summary>
    public const string SupportedProfile = "SupportedProfile";

    /// <summary>
    /// The BrowseName for the SuppressedOrShelved component.
    /// </summary>
    public const string SuppressedOrShelved = "SuppressedOrShelved";

    /// <summary>
    /// The BrowseName for the SuppressedState component.
    /// </summary>
    public const string SuppressedState = "SuppressedState";

    /// <summary>
    /// The BrowseName for the Suspend component.
    /// </summary>
    public const string Suspend = "Suspend";

    /// <summary>
    /// The BrowseName for the Suspended component.
    /// </summary>
    public const string Suspended = "Suspended";

    /// <summary>
    /// The BrowseName for the SuspendedToHalted component.
    /// </summary>
    public const string SuspendedToHalted = "SuspendedToHalted";

    /// <summary>
    /// The BrowseName for the SuspendedToReady component.
    /// </summary>
    public const string SuspendedToReady = "SuspendedToReady";

    /// <summary>
    /// The BrowseName for the SuspendedToRunning component.
    /// </summary>
    public const string SuspendedToRunning = "SuspendedToRunning";

    /// <summary>
    /// The BrowseName for the SystemConditionClassType component.
    /// </summary>
    public const string SystemConditionClassType = "SystemConditionClassType";

    /// <summary>
    /// The BrowseName for the SystemEventType component.
    /// </summary>
    public const string SystemEventType = "SystemEventType";

    /// <summary>
    /// The BrowseName for the SystemOffNormalAlarmType component.
    /// </summary>
    public const string SystemOffNormalAlarmType = "SystemOffNormalAlarmType";

    /// <summary>
    /// The BrowseName for the SystemState component.
    /// </summary>
    public const string SystemState = "SystemState";

    /// <summary>
    /// The BrowseName for the SystemStatusChangeEventType component.
    /// </summary>
    public const string SystemStatusChangeEventType = "SystemStatusChangeEventType";

    /// <summary>
    /// The BrowseName for the TestStackExRequest component.
    /// </summary>
    public const string TestStackExRequest = "TestStackExRequest";

    /// <summary>
    /// The BrowseName for the TestStackExResponse component.
    /// </summary>
    public const string TestStackExResponse = "TestStackExResponse";

    /// <summary>
    /// The BrowseName for the TestStackRequest component.
    /// </summary>
    public const string TestStackRequest = "TestStackRequest";

    /// <summary>
    /// The BrowseName for the TestStackResponse component.
    /// </summary>
    public const string TestStackResponse = "TestStackResponse";

    /// <summary>
    /// The BrowseName for the Time component.
    /// </summary>
    public const string Time = "Time";

    /// <summary>
    /// The BrowseName for the TimedShelve component.
    /// </summary>
    public const string TimedShelve = "TimedShelve";

    /// <summary>
    /// The BrowseName for the TimedShelved component.
    /// </summary>
    public const string TimedShelved = "TimedShelved";

    /// <summary>
    /// The BrowseName for the TimedShelvedToOneShotShelved component.
    /// </summary>
    public const string TimedShelvedToOneShotShelved = "TimedShelvedToOneShotShelved";

    /// <summary>
    /// The BrowseName for the TimedShelvedToUnshelved component.
    /// </summary>
    public const string TimedShelvedToUnshelved = "TimedShelvedToUnshelved";

    /// <summary>
    /// The BrowseName for the TimedShelveMethodType component.
    /// </summary>
    public const string TimedShelveMethodType = "TimedShelveMethodType";

    /// <summary>
    /// The BrowseName for the TimestampsToReturn component.
    /// </summary>
    public const string TimestampsToReturn = "TimestampsToReturn";

    /// <summary>
    /// The BrowseName for the TimeZoneDataType component.
    /// </summary>
    public const string TimeZoneDataType = "TimeZoneDataType";

    /// <summary>
    /// The BrowseName for the Title component.
    /// </summary>
    public const string Title = "Title";

    /// <summary>
    /// The BrowseName for the ToState component.
    /// </summary>
    public const string ToState = "ToState";

    /// <summary>
    /// The BrowseName for the TotalRequestCount component.
    /// </summary>
    public const string TotalRequestCount = "TotalRequestCount";

    /// <summary>
    /// The BrowseName for the TransferredToAltClientCount component.
    /// </summary>
    public const string TransferredToAltClientCount = "TransferredToAltClientCount";

    /// <summary>
    /// The BrowseName for the TransferredToSameClientCount component.
    /// </summary>
    public const string TransferredToSameClientCount = "TransferredToSameClientCount";

    /// <summary>
    /// The BrowseName for the TransferRequestCount component.
    /// </summary>
    public const string TransferRequestCount = "TransferRequestCount";

    /// <summary>
    /// The BrowseName for the TransferResult component.
    /// </summary>
    public const string TransferResult = "TransferResult";

    /// <summary>
    /// The BrowseName for the TransferSubscriptionsCount component.
    /// </summary>
    public const string TransferSubscriptionsCount = "TransferSubscriptionsCount";

    /// <summary>
    /// The BrowseName for the TransferSubscriptionsRequest component.
    /// </summary>
    public const string TransferSubscriptionsRequest = "TransferSubscriptionsRequest";

    /// <summary>
    /// The BrowseName for the TransferSubscriptionsResponse component.
    /// </summary>
    public const string TransferSubscriptionsResponse = "TransferSubscriptionsResponse";

    /// <summary>
    /// The BrowseName for the Transition component.
    /// </summary>
    public const string Transition = "Transition";

    /// <summary>
    /// The BrowseName for the TransitionEventType component.
    /// </summary>
    public const string TransitionEventType = "TransitionEventType";

    /// <summary>
    /// The BrowseName for the TransitionNumber component.
    /// </summary>
    public const string TransitionNumber = "TransitionNumber";

    /// <summary>
    /// The BrowseName for the TransitionTime component.
    /// </summary>
    public const string TransitionTime = "TransitionTime";

    /// <summary>
    /// The BrowseName for the TransitionType component.
    /// </summary>
    public const string TransitionType = "TransitionType";

    /// <summary>
    /// The BrowseName for the TransitionVariableType component.
    /// </summary>
    public const string TransitionVariableType = "TransitionVariableType";

    /// <summary>
    /// The BrowseName for the TranslateBrowsePathsToNodeIdsCount component.
    /// </summary>
    public const string TranslateBrowsePathsToNodeIdsCount = "TranslateBrowsePathsToNodeIdsCount";

    /// <summary>
    /// The BrowseName for the TranslateBrowsePathsToNodeIdsRequest component.
    /// </summary>
    public const string TranslateBrowsePathsToNodeIdsRequest = "TranslateBrowsePathsToNodeIdsRequest";

    /// <summary>
    /// The BrowseName for the TranslateBrowsePathsToNodeIdsResponse component.
    /// </summary>
    public const string TranslateBrowsePathsToNodeIdsResponse = "TranslateBrowsePathsToNodeIdsResponse";

    /// <summary>
    /// The BrowseName for the TransparentRedundancyType component.
    /// </summary>
    public const string TransparentRedundancyType = "TransparentRedundancyType";

    /// <summary>
    /// The BrowseName for the TransportProtocol component.
    /// </summary>
    public const string TransportProtocol = "TransportProtocol";

    /// <summary>
    /// The BrowseName for the TreatUncertainAsBad component.
    /// </summary>
    public const string TreatUncertainAsBad = "TreatUncertainAsBad";

    /// <summary>
    /// The BrowseName for the TripAlarmType component.
    /// </summary>
    public const string TripAlarmType = "TripAlarmType";

    /// <summary>
    /// The BrowseName for the TrueState component.
    /// </summary>
    public const string TrueState = "TrueState";

    /// <summary>
    /// The BrowseName for the TwoStateDiscreteType component.
    /// </summary>
    public const string TwoStateDiscreteType = "TwoStateDiscreteType";

    /// <summary>
    /// The BrowseName for the TwoStateVariableType component.
    /// </summary>
    public const string TwoStateVariableType = "TwoStateVariableType";

    /// <summary>
    /// The BrowseName for the TypeNode component.
    /// </summary>
    public const string TypeNode = "TypeNode";

    /// <summary>
    /// The BrowseName for the TypesFolder component.
    /// </summary>
    public const string TypesFolder = "Types";

    /// <summary>
    /// The BrowseName for the UInt16 component.
    /// </summary>
    public const string UInt16 = "UInt16";

    /// <summary>
    /// The BrowseName for the UInt32 component.
    /// </summary>
    public const string UInt32 = "UInt32";

    /// <summary>
    /// The BrowseName for the UInt64 component.
    /// </summary>
    public const string UInt64 = "UInt64";

    /// <summary>
    /// The BrowseName for the UInteger component.
    /// </summary>
    public const string UInteger = "UInteger";

    /// <summary>
    /// The BrowseName for the UnacknowledgedMessageCount component.
    /// </summary>
    public const string UnacknowledgedMessageCount = "UnacknowledgedMessageCount";

    /// <summary>
    /// The BrowseName for the UnauthorizedRequestCount component.
    /// </summary>
    public const string UnauthorizedRequestCount = "UnauthorizedRequestCount";

    /// <summary>
    /// The BrowseName for the Unlock component.
    /// </summary>
    public const string Unlock = "Unlock";

    /// <summary>
    /// The BrowseName for the UnregisterNodesCount component.
    /// </summary>
    public const string UnregisterNodesCount = "UnregisterNodesCount";

    /// <summary>
    /// The BrowseName for the UnregisterNodesRequest component.
    /// </summary>
    public const string UnregisterNodesRequest = "UnregisterNodesRequest";

    /// <summary>
    /// The BrowseName for the UnregisterNodesResponse component.
    /// </summary>
    public const string UnregisterNodesResponse = "UnregisterNodesResponse";

    /// <summary>
    /// The BrowseName for the Unshelve component.
    /// </summary>
    public const string Unshelve = "Unshelve";

    /// <summary>
    /// The BrowseName for the Unshelved component.
    /// </summary>
    public const string Unshelved = "Unshelved";

    /// <summary>
    /// The BrowseName for the UnshelvedToOneShotShelved component.
    /// </summary>
    public const string UnshelvedToOneShotShelved = "UnshelvedToOneShotShelved";

    /// <summary>
    /// The BrowseName for the UnshelvedToTimedShelved component.
    /// </summary>
    public const string UnshelvedToTimedShelved = "UnshelvedToTimedShelved";

    /// <summary>
    /// The BrowseName for the UnshelveTime component.
    /// </summary>
    public const string UnshelveTime = "UnshelveTime";

    /// <summary>
    /// The BrowseName for the UpdateDataCapability component.
    /// </summary>
    public const string UpdateDataCapability = "UpdateDataCapability";

    /// <summary>
    /// The BrowseName for the UpdateDataDetails component.
    /// </summary>
    public const string UpdateDataDetails = "UpdateDataDetails";

    /// <summary>
    /// The BrowseName for the UpdatedNode component.
    /// </summary>
    public const string UpdatedNode = "UpdatedNode";

    /// <summary>
    /// The BrowseName for the UpdateEventCapability component.
    /// </summary>
    public const string UpdateEventCapability = "UpdateEventCapability";

    /// <summary>
    /// The BrowseName for the UpdateEventDetails component.
    /// </summary>
    public const string UpdateEventDetails = "UpdateEventDetails";

    /// <summary>
    /// The BrowseName for the UpdateStructureDataDetails component.
    /// </summary>
    public const string UpdateStructureDataDetails = "UpdateStructureDataDetails";

    /// <summary>
    /// The BrowseName for the UserIdentityToken component.
    /// </summary>
    public const string UserIdentityToken = "UserIdentityToken";

    /// <summary>
    /// The BrowseName for the UserNameIdentityToken component.
    /// </summary>
    public const string UserNameIdentityToken = "UserNameIdentityToken";

    /// <summary>
    /// The BrowseName for the UserTokenPolicy component.
    /// </summary>
    public const string UserTokenPolicy = "UserTokenPolicy";

    /// <summary>
    /// The BrowseName for the UserTokenType component.
    /// </summary>
    public const string UserTokenType = "UserTokenType";

    /// <summary>
    /// The BrowseName for the UserWriteable component.
    /// </summary>
    public const string UserWriteable = "UserWriteable";

    /// <summary>
    /// The BrowseName for the UseSlopedExtrapolation component.
    /// </summary>
    public const string UseSlopedExtrapolation = "UseSlopedExtrapolation";

    /// <summary>
    /// The BrowseName for the UtcTime component.
    /// </summary>
    public const string UtcTime = "UtcTime";

    /// <summary>
    /// The BrowseName for the ValueAsText component.
    /// </summary>
    public const string ValueAsText = "ValueAsText";

    /// <summary>
    /// The BrowseName for the ValuePrecision component.
    /// </summary>
    public const string ValuePrecision = "ValuePrecision";

    /// <summary>
    /// The BrowseName for the VariableAttributes component.
    /// </summary>
    public const string VariableAttributes = "VariableAttributes";

    /// <summary>
    /// The BrowseName for the VariableNode component.
    /// </summary>
    public const string VariableNode = "VariableNode";

    /// <summary>
    /// The BrowseName for the VariableTypeAttributes component.
    /// </summary>
    public const string VariableTypeAttributes = "VariableTypeAttributes";

    /// <summary>
    /// The BrowseName for the VariableTypeNode component.
    /// </summary>
    public const string VariableTypeNode = "VariableTypeNode";

    /// <summary>
    /// The BrowseName for the VariableTypesFolder component.
    /// </summary>
    public const string VariableTypesFolder = "VariableTypes";

    /// <summary>
    /// The BrowseName for the VendorCapability component.
    /// </summary>
    public const string VendorCapability = "<VendorCapability>";

    /// <summary>
    /// The BrowseName for the VendorServerInfo component.
    /// </summary>
    public const string VendorServerInfo = "VendorServerInfo";

    /// <summary>
    /// The BrowseName for the VendorServerInfoType component.
    /// </summary>
    public const string VendorServerInfoType = "VendorServerInfoType";

    /// <summary>
    /// The BrowseName for the ViewAttributes component.
    /// </summary>
    public const string ViewAttributes = "ViewAttributes";

    /// <summary>
    /// The BrowseName for the ViewDescription component.
    /// </summary>
    public const string ViewDescription = "ViewDescription";

    /// <summary>
    /// The BrowseName for the ViewNode component.
    /// </summary>
    public const string ViewNode = "ViewNode";

    /// <summary>
    /// The BrowseName for the ViewsFolder component.
    /// </summary>
    public const string ViewsFolder = "Views";

    /// <summary>
    /// The BrowseName for the ViewVersion component.
    /// </summary>
    public const string ViewVersion = "ViewVersion";

    /// <summary>
    /// The BrowseName for the Write component.
    /// </summary>
    public const string Write = "Write";

    /// <summary>
    /// The BrowseName for the Writeable component.
    /// </summary>
    public const string Writeable = "Writeable";

    /// <summary>
    /// The BrowseName for the WriteCount component.
    /// </summary>
    public const string WriteCount = "WriteCount";

    /// <summary>
    /// The BrowseName for the WriteMethodType component.
    /// </summary>
    public const string WriteMethodType = "WriteMethodType";

    /// <summary>
    /// The BrowseName for the WriteRequest component.
    /// </summary>
    public const string WriteRequest = "WriteRequest";

    /// <summary>
    /// The BrowseName for the WriteResponse component.
    /// </summary>
    public const string WriteResponse = "WriteResponse";

    /// <summary>
    /// The BrowseName for the WriteValue component.
    /// </summary>
    public const string WriteValue = "WriteValue";

    /// <summary>
    /// The BrowseName for the X509IdentityToken component.
    /// </summary>
    public const string X509IdentityToken = "X509IdentityToken";

    /// <summary>
    /// The BrowseName for the XAxisDefinition component.
    /// </summary>
    public const string XAxisDefinition = "XAxisDefinition";

    /// <summary>
    /// The BrowseName for the XmlElement component.
    /// </summary>
    public const string XmlElement = "XmlElement";

    /// <summary>
    /// The BrowseName for the XmlSchema_TypeSystem component.
    /// </summary>
    public const string XmlSchema_TypeSystem = "XML Schema";

    /// <summary>
    /// The BrowseName for the XVType component.
    /// </summary>
    public const string XVType = "XVType";

    /// <summary>
    /// The BrowseName for the XYArrayItemType component.
    /// </summary>
    public const string XYArrayItemType = "XYArrayItemType";

    /// <summary>
    /// The BrowseName for the YArrayItemType component.
    /// </summary>
    public const string YArrayItemType = "YArrayItemType";

    /// <summary>
    /// The BrowseName for the YAxisDefinition component.
    /// </summary>
    public const string YAxisDefinition = "YAxisDefinition";

    /// <summary>
    /// The BrowseName for the ZAxisDefinition component.
    /// </summary>
    public const string ZAxisDefinition = "ZAxisDefinition";
  }

}
